<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?>
<?php $app = $this->app_name; ?>
<div class="schlix-explorer">
    <schlix-block-visibility-editor id="schlix-<?= $app ?>-edit-apps-visibility-admin" class="schlix-data-explorer" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.Core_BlockManagerAdminController"
                                                data-field-category_title="groupname"
                                                data-field-item_title="username"
                                                data-model="<?= $this->getDataModelURL() ?>"
                                                data-desc="Category Editor">

        
        <schlix-datasource>
            <custom-command data-default="action=getallcategories"  data-replace-with="action=getmenus" />
        </schlix-datasource>

        
        <!-- Begin Data Viewer -->
        <x-ui:row class="schlix-data-container" schlix-id="main-data-container" >
            <!-- Left Column -->
            <x-ui:column xs="12" class="left-column" schlix-id="left-column" >
                <x-ui:schlix-treeview schlix-id="datanav-tree"  data-dynamic="false">            
                </x-ui:schlix-treeview>
            </x-ui:column>
        </x-ui:row>
        <!-- End Data Viewer -->
    </schlix-block-visibility-editor>
</div>

