<?php
/**
 * Core: Media Header - Main page template. Lists all items. 
 * 
 * Core - Media Header
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');


?>
<x-ui:schlix-tab id="tab_media_header" fonticon="fas fa-image" label="<?= ___('Default Custom Header') ?>">     
   <schlix-config:schlix-multi-source-media-uploader config-key="str_cmh_media" name="str_cmh_media" id="str_cmh_media" data-dir-key="media_original" data-uploaded-path="<?= ___h($data_full_path) ?>" data-uploaded-url="<?= ___h($data_absolute_url) ?>" /> 
    <?php /*<schlix-config:image-selector data-field="str_default_cmh_media" name="str_default_cmh_media" id="str_default_cmh_media" />*/ ?>
</x-ui:schlix-tab>