<?php
/**
 * Core: Media Header - Main page template. Lists all items. 
 * 
 * Core - Media Header
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');


?>

<x-ui:schlix-tab id="tab_media_header" fonticon="fas fa-image" label="<?= ___('Custom Header') ?>">     
   <x-ui:schlix-multi-source-media-uploader data-field="cmh_media" name="cmh_media" id="cmh_media" data-dir-key="media_original" data-uploaded-path="<?= ___h($data_full_path) ?>" data-uploaded-url="<?= ___h($data_absolute_url) ?>" />
</x-ui:schlix-tab>
