<?php
namespace App;
/**
 * Core: SCHLIX Updater - Main Class
 * 
 * Core - SCHLIX Updater
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
class Core_SCHLIXUpdater extends \SCHLIX\cmsApplication_Basic {
    
    protected $data_directories = array(
      'tmp' => '/data/private/updater/tmp',      
      'extract_tmp' => '/data/private/updater/tmp/schlix',      
      'backupsql' => '/data/private/updater/backupsql',
    );

    /**
     * Constructor
     */
    public function __construct() {
        parent::__construct("SCHLIXUpdater");
        $this->disable_frontend_runtime = true;
    }

    
    /**
     * Ensure directory exists
     */
    public function ensureDataDirectoryExists()
    {
        $this->initializeDataDirectories();
    }


}
 