<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>

<!-- tab -->
<x-ui:schlix-tab id="tab_permissions" fonticon="fa fa-users" label="<?= ___('Permissions') ?>">     
    <?php if (array_key_exists('created_by_id', $data)): ?>
    <x-ui:schlix-user-selection id="created_by_id" data-field="created_by_id" label="<?= ___('Owner / Created By') ?>" />
    <?php endif ?>
    <?php if (array_key_exists('modified_by_id', $data)): ?>
    <x-ui:schlix-user-selection id="modified_by_id" data-field="modified_by_id" label="<?= ___('Last Modified By') ?>" />
    <?php endif ?>
    <?php if (array_key_exists('permission_read', $data)): ?>
    <x-ui:schlix-permission-read id="permission_read" data-field="permission_read"  />
    <?php endif ?>
    <?php if (array_key_exists('permission_write', $data)): ?>
    <x-ui:schlix-permission-write id="permission_write" data-field="permission_write"  />
    <?php endif ?>    
</x-ui:schlix-tab>                
<!-- tab -->