<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die();
global $CurrentUser;

$user = $CurrentUser->getCurrentUserInfo();
?>
<h1><?= ___('Welcome!'); ?> </h1>
<hr />
    <!-- Main Welcome Page -->
    <x-ui:row>
        <x-ui:members-mainpage-column-box md="4" sm="4" large-icon="fa fa-user" large-label="<?= $user['firstname'].' '.$user['lastname'] ?>" small-icon="fa fa-edit" small-label="<?= ___('Edit Profile'); ?>" url="<?= $this->createFriendlyURL('action=myprofile'); ?>" />
        <x-ui:members-mainpage-column-box md="4" sm="4" large-icon="fa fa-lock" large-label="<?= ___('Password') ?> *********" small-icon="fa fa-lock" small-label="<?= ___('Change Password'); ?>" url="<?= $this->createFriendlyURL('action=changepassword'); ?>" />
        
        <x-ui:members-mainpage-column-box md="4" sm="4" small-icon="fas fa-sign-out-alt" small-label="<?= ___('Logout'); ?>" url="<?= $this->createFriendlyURL('action=logout'); ?>" />
    
    </x-ui:row>    

    <x-ui:echo-safe-config-value key="str_authenticated_users_welcome_text" />    

    <!-- End main welcome Page -->
