<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?>

<p><?= ___('For more information about Google Analytics and what these parameters mean, please follow this link') ?>: <a href="https://developers.google.com/analytics/devguides/collection/gajs" target="_blank">https://developers.google.com/analytics/devguides/collection/gajs</a></p>
<schlix-config:radiogroup config-key="int_tracking_method" label="<?= ('Tracking Method') ?>">
    <schlix-config:option value=""><?= ___h('Legacy / ga.js (deprecated)') ?></schlix-config:option>
    <schlix-config:option value="1"><?= ___h('Universal Analytics / analytics.js (default)') ?></schlix-config:option>
    <schlix-config:option value="2"><?= ___h('Global Site Tag / gtag.js (new method)') ?></schlix-config:option>
    
</schlix-config:radiogroup>
<fieldset>
    <legend><?= ___('Options - Legacy') ?></legend>
    <schlix-config:textbox config-key="str_domain_name" label="<?= ___('Override domain name') ?>"   placeholder="<?= ___('optional, e.g. schlix.com (without www.)') ?>" />
    <schlix-config:checkbox config-key="bool_track_sub_domains" label="<?= ___('Track Subdomains') ?>" />
    <schlix-config:checkbox config-key="bool_track_multiple_tld_domains" label="<?= ___('Track Multiple TLD') ?>" />
    <schlix-config:checkbox config-key="bool_display_advertiser_support" label="<?= ___('Display Advertiser Support - Doubleclick') ?>" />
    <schlix-config:checkbox config-key='bool_support_ip_anonymization' label='<?= ___('Enable support for IP Anonymization') ?>' />
    <schlix-config:checkbox config-key='bool_support_force_ssl' label='<?= ___('Enable support for Force SSL') ?>' />
</fieldset>