<?php
if (!defined('SCHLIX_VERSION')) die('No Access'); // this protection line must exist in all template files
/**
 * beritanews - theme for SCHLIX CMS
 *
 * You can modify this theme as the license is MIT, not SCHLIX Shared Source
 *  
 * @copyright 2020 SCHLIX Web Inc
 * @license MIT
 * @version 1.0
 * @link    https://www.schlix.com
 */

?>
 <!-- header : start -->
 <div class="navbar-wrapper page-header page-header--to-sticky">
  <nav class="navbar navbar-top">
    <div class="container">
      <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#main-navbar-menu" aria-controls="main-navbar-menu" aria-expanded="false" aria-label="Toggle navigation">
        <i class="fas fa-menu"></i>
      </button>
      <div class="navbar-date">
        <p><?php echo date("l \, j  F Y") ?></p>
      </div>
      <a class="navbar-brand" href="<?= SCHLIX_SITE_HTTPBASE.'/' ?> "><img height="39" src="<?= CURRENT_THEME_URL_PATH; ?>/images/logo.png" alt="Company Name"></a>
      <div class="navbar-search">
        <a href="javascript:void(0)" class="search-link">
          <i class="fas fa-search"></i>
        </a>
        <?= \SCHLIX\cmsPageOutput::BlockCategory('search'); ?>
      </div>
    </div>
  </nav>
  <nav class="navbar navbar-expand-lg">
    <div class="container">
      <div class="navbar-menu collapse navbar-collapse" id="main-navbar-menu">
        <?= \SCHLIX\cmsPageOutput::BlockCategory('menu_top'); ?>
      </div>
    </div>
  </nav>
</div>
<!-- header : end -->
