<?php if (!defined('SCHLIX_VERSION')) die('No Access'); 
/**
 * beritanews - theme for SCHLIX CMS
 *
 * You can modify this theme as the license is MIT, not SCHLIX Shared Source
 *  
 * @copyright 2020 SCHLIX Web Inc
 * @license MIT
 * @version 1.0
 * @link    https://www.schlix.com
 */

?>
<!doctype html>
  <head>
    <title><?= \SCHLIX\cmsPageOutput::HTMLPageTitle() ?> - <?= ___h(SCHLIX_SITE_NAME) ?></title>
    <?php include('header.inc.php'); ?>
  </head>
  <body>
    <div class="page-wrapper">
      <div class="page-content">
        <!--- header  -->
        <?php include('header_nav.inc.php'); ?>

        <section id="display-page" class="main-page">
          <div class="container">
            <?= SCHLIX\cmsPageOutput::ApplicationBody() ?>
          </div>
        </section><!--/#error-->
      </div>


      <!-- end body -->

      <?php include('footer.inc.php'); ?>
    </div>
  </body>
</html>
