<?php
if (!defined('SCHLIX_VERSION')) die('No Access'); // this protection line must exist in all template files
/**
 * beritanews - theme for SCHLIX CMS
 *
 * You can modify this theme as the license is MIT, not SCHLIX Shared Source.
 * Note: you can try changing this to use different image sizes, different lightbox javascript viewer, etc.
 *  
 * @copyright 2020 SCHLIX Web Inc
 * @license MIT
 * @version 1.0
 * @link    https://www.schlix.com
 */

 if ($album_images): ?>
    <?php $image_gallery_app->CSS('gallery.css') ?>
<!-- REMOVE THIS -->
    <?php 
    global $HTMLHeader;

    
    $template_file_name = 'view.imagegallery';
    $old_file_location = CURRENT_SUBSITE_URL_PATH.'/macros/imagegallery/'.$template_file_name.'.template.php'; 
    $new_file_location = CURRENT_THEME_URL_PATH.'/macros/imagegallery/'.$template_file_name.'.template.php'; 
    
    $HTMLHeader->CSS('/system/js/glightbox/glightbox.css');
    $HTMLHeader->JAVASCRIPT('/system/js/glightbox/glightbox.js');
    $HTMLHeader->JAVASCRIPT_TEXT("
document.addEventListener('DOMContentLoaded', function(event) {
    var allimgs = document.getElementsByClassName('gallery-image');
    if (allimgs && allimgs.length > 0)
    {
        var lightbox = GLightbox();
    }
  
});"); 
?>
    <!-- note: This is a stock template file that you must customize on your own. This file is located in <strong><?= $old_file_location ?></strong>. You should copy this file and customize it in this location: <strong><?= $new_file_location ?> -->
<!-- END REMOVE THIS -->

        <div id="imagegallery-macro-<?= $image_gallery_id ?>" >
             <div  class="gallery-masonry">
                
                <?php foreach ($album_images as $child_item): ?>
                     
                        <div class="gallery-item">
                            <?php $link = $image_gallery_app->getGalleryImage('image_large', $child_item['url_media_file'], $child_item['category_id'], false) ?>
                            <a class="glightbox" href="<?= $link ?>"><img class="gallery-image" src="<?= $image_gallery_app->getGalleryImage('image_small', $child_item['url_media_file'], $child_item['category_id'], false) ?>" /></a>
                            <?php if ($child_item_title_text): ?>
                                <h2 class="title"> <?= ___h($child_item_title_text) ?></h2>
                            <?php endif ?>
                                <!-- text -->
                                <?php if ($category_meta_options['display_item_summary']): ?>
                                    <div class="imagegallery-thumbnails-summary"><?= $child_item['summary'] ?></div>
                                <?php endif; ?>
                                <!-- end text -->
                            
                        </div>
                <?php /*
                
                <div class="sp-slide">
                    <img class="sp-image" src="<?= $blank_gif ?>" 
                         data-src="<?= $image_gallery_app->getDataFileURLPath('image_medium', $image['url_media_file'])?>" 
                         data-small="<?= $image_gallery_app->getDataFileURLPath('image_small', $image['url_media_file'])?>"
                         data-medium="<?= $image_gallery_app->getDataFileURLPath('image_medium', $image['url_media_file'])?>"
                         data-large="<?= $image_gallery_app->getDataFileURLPath('image_large', $image['url_media_file'])?>"
                         data-retina="<?= $image_gallery_app->getDataFileURLPath('image_large', $image['url_media_file'])?>"/>
                    <?php if ($image['summary']): ?>
                    <div  class="sp-layer sp-black sp-padding" 
                       data-position="bottomLeft" data-width="100%" 
                       data-show-transition="up" data-show-delay="400">
                        <?= $image['summary'] ?>
                    </div>                    
                    <?php endif ?>
                </div>
                    */ ?>
                <?php endforeach ?>
                
            </div>
        </div>
    
<?php else: ?>
<!-- No Gallery Image found -->
<?php endif ?>