<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die();
global $CurrentUser;

$user = $CurrentUser->getCurrentUserInfo();
global $Blocks;
?>
<x-ui:row>
    <x-ui:column md="8">
        <h1><?= ___('Welcome!'); ?></h1>
    </x-ui:column>
    <!-- col -->
    <x-ui:members-mainpage-column-box sm="2"  small-icon="fas fa-sign-out-alt" small-label="<?= ___('Logout'); ?>" url="<?= $this->createFriendlyURL('action=logout'); ?>" />
</x-ui:row>
<hr />
<!-- Main Welcome Page -->
<x-ui:row>
    <x-ui:column md="2">
        
       <?php 
       /* example on how to call SCHLIX\cmsPageOutput::BlockCategory('menu_members') from application template file. If you want to do it this way then you will have to  */
       $Blocks->displayBlockByCategoryNameRerun('sidebar_members');
       ?>
    </x-ui:column>
    <!-- col -->
    <x-ui:column md="10">
<x-ui:row>
    <x-ui:members-mainpage-column-box small="6" large-icon="fa fa-user" large-label="<?= $user['firstname'] . ' ' . $user['lastname'] ?>" small-icon="fa fa-edit" small-label="<?= ___('Edit Profile'); ?>" url="<?= $this->createFriendlyURL('action=myprofile'); ?>" />
    <x-ui:members-mainpage-column-box small="6" large-icon="fa fa-lock" large-label="<?= ___('Password') ?> *********" small-icon="fa fa-lock" small-label="<?= ___('Change Password'); ?>" url="<?= $this->createFriendlyURL('action=changepassword'); ?>" />

    

</x-ui:row>    

<x-ui:echo-safe-config-value key="str_authenticated_users_welcome_text" />    
        
        
    </x-ui:column>    
</x-ui:row>

<!-- End main welcome Page -->
