
<?php $app = "contacts"; ?>
<div class="schlix-explorer" id="message-section">
    <schlix-data-explorer-list id="schlix-<?= $app ?>-messages-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.ContactsAdmin" 
                               data-model="<?= $this->getDataModelURL() ?>">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas" data-replace-with="action=getcontactmessagesschema"></custom-command>
            <custom-command data-default="action=getallitems" data-replace-with="action=getmessagesforcontact&amp;id=<?= $item['id'] ?>"></custom-command>
        </schlix-datasource>
        
        <x-ui:row>
                        <!-- right column -->
            <x-ui:column md="8">
                <div id="view_detail_message_placeholder" style="display:none"></div>
            </x-ui:column>

        </x-ui:row>

        <x-ui:clearboth />
        
        <x-ui:schlix-explorer-toolbar>
            <x-ui:schlix-explorer-toolbar-menu data-position="left">    
                <x-ui:schlix-explorer-menu-command data-schlix-command="delete" require-selected-items="1" fonticon="far fa-trash-alt" label="<?= ___('Delete') ?>" />
                <x-ui:schlix-explorer-menu-command data-schlix-command="refresh"  fonticon="fas fa-sync" label="<?= ___('Refresh') ?>" />
            </x-ui:schlix-explorer-toolbar-menu>
            <x-ui:schlix-explorer-toolbar-search />
        </x-ui:schlix-explorer-toolbar>
       
        <!-- Begin Data Viewer -->
        
        <x-ui:schlix-explorer-row>
            <!-- Left Column -->
            <x-ui:schlix-explorer-right-column>
        
 
                <schlix-data-table schlix-id="datanav-datatable"  schlix-field-item-tile="description" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="date_created" label="<?= ___('Date Created') ?>" sortable="true" formatter="this.formatDataTableCell_Date" editor="new SCHLIX.CMS.DateCellEditor( {disableBtns:false})"></schlix-data-table-column>
                        <schlix-data-table-column key="name" label="Name" formatter="text" sortable="true"></schlix-data-table-column>
                        <schlix-data-table-column key="email" label="Email" formatter="text" sortable="true"></schlix-data-table-column>
                        <schlix-data-table-column key="ip_address" label="IP Address" formatter="text" sortable="true"></schlix-data-table-column>
                        <schlix-data-table-column key="id" label="Action" hidden="false" sortable="false" formatter="SCHLIX.CMS.ContactsAdmin.formatAction"></schlix-data-table-column>
                        <schlix-data-table-column key="message"  hidden="true" sortable="false" formatter="text"></schlix-data-table-column>
                    </schlix-data-table-columns>
                </schlix-data-table>                
                <!-- pagination -->
                <x-ui:schlix-explorer-pagination />
                <!-- end column -->
            </x-ui:schlix-explorer-right-column>
        </x-ui:schlix-explorer-row>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>
<!-- end schlixui-tabcontent -->
