/**
 * Core: Composer - Javascript admin controller class
 * 
 * Core - Composer 
 *
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
var __last_scroll = 0;

function scrollToBottom()
{
    var installer = SCHLIX.Dom.get('installiframe');
    
    var height = installer.contentWindow.document.getElementsByTagName('body')[0].scrollHeight;
    if (__last_scroll != height)
    {
        //console.log(installer.contentWindow);
        console.log('Scroll iframe to ' + height);        
        installer.contentWindow.scrollTo(0, height);
        __last_scroll = height;
    }
}


function scrollme() {

    var installer = SCHLIX.Dom.get('installiframe');
    if (installer)
    {
        setInterval(scrollToBottom, 750);
    }
}

SCHLIX.Event.onDOMReady(scrollme);