<?php
/**
 * Core: Media Header - Main page template. Lists all items. 
 * 
 * Core - Media Header
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');


?>
<x-ui:schlix-tab id="tab_core_custom_fields" fonticon="fas fa-terminal" label="<?= ___('Custom Fields') ?>">     
<?php foreach ($custom_fields as $cf): ?>
    <?= \App\Core_CustomField::drawCustomFieldFormInput($cf, true); ?>        
<?php endforeach ?>
</x-ui:schlix-tab>
