<?php
/**
 * Core: Help
 * 
 * Core - Help
 *
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>

<div class="app-page-main app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-app-page-main">
    <div class="content">
        <h1><?= ___('OAUTH2 Email Setup') ?></h1>        
        
        <?php if (!empty($error_list)): ?>
        <x-ui:alert type="error">
            <p><?= ___('An error has occurred. Please resume your setup in the administration area') ?></p>
        <ul>
        <?php foreach ($error_list as $error): ?>
        <li><?= ___h($error) ?></li>
        <?php endforeach; ?>
        </ul>
            </x-ui:alert>
        <?php endif; ?>
    </div>
</div>