<?php
/**
 * Core - Emailsetup Result
 *
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
 <x-ui:schlix-data-explorer-blank data-schlix-controller="SCHLIX.CMS.Core_EmailSetupAdminController" >
     <x-ui:schlix-info-box class="box-danger" fonticon="fa fa-envelope" label="<?= ___('OAUTH2 Email Setup') ?>" >
    <x-ui:alert type="<?= $alert_type ?>">
        
        <?php if (!empty($messages)): ?>
        <ul>
        <?php foreach ($messages as $m): ?>
        <li><?= ___h($m) ?></li>
        <?php endforeach; ?>
        </ul>
        <?php endif; ?>

    </x-ui:alert>
         
         <x-ui:link-button button-type="primary" href="<?= $this->createFriendlySubApplicationAdminURL('emailsetup', 'action=main'); ?>" id="btn-return" label="<?= ___('Return to email setup') ?>" fonticon="fas fa-undo" />
         
     </x-ui:schlix-info-box>

</x-ui:schlix-data-explorer-blank>
