<?php
/**
 * Core - Menu - Config
 *
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION'))
    die('No Access');

	global $SystemConfig, $CurrentUser;
$display_div_or_li_choices = [  ['label'=>___('Use &lt;li&gt; (list) to display menu - default'),'value'=>'0'], 
				['label'=>___('Use &lt;div&gt; to display menu'),'value'=>'1'] ];

 global $SystemConfig, $CurrentUser; ?>
<x-ui:schlix-explorer-sub-application-header />
<schlix-config:data-editor data-schlix-controller="SCHLIX.CMS.MenusAdmin" type="config">
        <schlix-config:save-result />
        <x-ui:schlix-editor-form id="form-edit-config" method="post" data-config-action="save" action="<?= $this->createFriendlyAdminURL('action=saveconfig') ?>" autocomplete="off">

            <schlix-config:action-buttons />
            <x-ui:csrf />

            <x-ui:schlix-tab-container>
                <!-- tab -->
             <?php /*   <x-ui:schlix-tab id="tab_general" fonticon="far fa-file" label="<?= ___('General') ?>"> 
                    <!--content -->
                        
                    <schlix-config:radiogroup config-key="int_menu_html_element" label="<?= ('Select which HTML element to display the menu item') ?>">
                        <?php foreach ($display_div_or_li_choices as $choice): ?>
                            <schlix-config:option value="<?= ___h($choice['value']) ?>"><?= ___h($choice['label']) ?></schlix-config:option>
                        <?php endforeach ?>
                    </schlix-config:radiogroup>

                    <!-- end content -->
                </x-ui:schlix-tab>*/ ?>
                <!-- tab -->
               <?= \SCHLIX\cmsHooks::output('getApplicationAdminExtraEditConfigTab', $this) ?>   
                <!-- end -->
            </x-ui:schlix-tab-container>
            
        </x-ui:schlix-editor-form>
</schlix-config:data-editor>     