SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

-- Theme: companyprofile

UPDATE `gk_theme_items` SET `is_default` = 1 WHERE `id` = 1;

--
-- Dumping data for table `gk_block_categories`
--

INSERT INTO `gk_block_categories` (`cid`, `title`, `sort_order`, `status`) VALUES
(1, 'unused', 0, 0),
(2, 'html_header', 0, 1),
(3, 'header', 0, 1),
(4, 'menu_top', 0, 1),
(5, 'menu_bottom', 0, 1),
(6, 'front_slideshow', 0, 1),
(7, 'front_extra_row1', 0, 1),
(8, 'front_extra_row2', 0, 1),
(9, 'front_extra_row3', 0, 1),
(10, 'footer1', 0, 1),
(11, 'footer2', 0, 1),
(12, 'footer3', 0, 1),
(13, 'footer4', 0, 1),
(14, 'sidebar', 0, 1),
(15, 'sidebar_members', 0, 1),
(16, 'search', 0, 1),
(17, 'customblurb', 0, 1),
(18, 'testimonials', 0, 1);

--
-- Dumping data for table `gk_blog_categories`
--

INSERT INTO `gk_blog_categories` (`cid`, `guid`, `parent_id`, `title`, `virtual_filename`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `created_by_id`, `modified_by_id`, `locked_by_id`, `summary`, `summary_intro_image`, `description`, `description_intro_image`, `description_background_image`, `sort_order`, `featured`, `status`, `pageview`, `items_per_page`, `permission_write`, `permission_read`, `options`, `meta_key`, `meta_description`, `tags`, `version`) VALUES
(1, uuid(), 0, 'Technology', 'technology', NOW(), NULL, NOW(), NULL, 1, 1, NULL, '', NULL, '', NULL, NULL, NULL, 1, 1, 10, 10, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', 'a:15:{i:0;s:27:\"display_summary_intro_image\";i:1;s:17:\"display_pagetitle\";i:2;s:31:\"display_category_summary_noread\";i:3;s:27:\"display_summary_intro_image\";i:4;s:24:\"display_child_categories\";i:5;s:27:\"display_summary_intro_image\";i:6;s:34:\"display_summary_secondary_headline\";i:7;s:13:\"display_items\";i:8;s:20:\"display_item_summary\";i:9;s:25:\"display_item_date_created\";s:23:\"child_categories_sortby\";s:5:\"title\";s:30:\"child_categories_sortdirection\";s:3:\"asc\";s:12:\"items_sortby\";s:12:\"date_created\";s:19:\"items_sortdirection\";s:4:\"desc\";s:18:\"image_display_size\";s:12:\"image_medium\";}', '', 'Travel', '', '1.00');

--
-- Dumping data for table `gk_blog_categories_items`
--


INSERT INTO `gk_blog_categories_items` (`id`, `cid`, `is_primary`) VALUES
(1, 1, 1);

--
-- Dumping data for table `gk_blog_items`
--

INSERT INTO `gk_blog_items` (`id`, `guid`, `category_id`, `title`, `virtual_filename`, `summary`, `description_alternative_title`, `summary_secondary_headline`, `summary_intro_image`, `summary_intro_image_caption`, `description`, `description_secondary_headline`, `description_intro_image`, `description_background_image`, `description_intro_image_caption`, `description_custom_html_code`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `created_by_id`, `modified_by_id`, `locked_by_id`, `permission_write`, `permission_read`, `meta_key`, `meta_description`, `status`, `featured`, `version`, `pageview`, `sort_order`, `options`, `tags`) VALUES
(1, uuid(), 1, 'First post', 'first-post', '<p>First post yay!</p>', '', '', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/blog/bsnwrk_47.jpg', '', '<p>First post test.</p>', '', '', NULL, '', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', 'web design, web development', 'First blog post', 1, 1, '1.20', 0, 0, 'a:7:{i:0;s:31:\"display_description_intro_image\";i:1;s:17:\"display_pagetitle\";i:2;s:27:\"display_item_summary_noread\";i:3;s:23:\"display_item_created_by\";i:4;s:25:\"display_item_date_created\";i:5;s:26:\"display_item_date_modified\";i:6;s:8:\"__null__\";}', 'web design, marketing, бизнеса');

--
-- Dumping data for table `gk_contact_categories`
--

INSERT INTO `gk_contact_categories` (`cid`, `guid`, `status`, `parent_id`, `title`, `summary`, `virtual_filename`, `sort_order`, `options`, `permission_read`, `permission_write`, `version`) VALUES
(1, uuid(), 1, 0, 'Main HQ', '', 'main', 0, 'a:9:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:20:\"display_item_summary\";i:6;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}', '1.10');


--
-- Dumping data for table `gk_contact_items`
--

INSERT INTO `gk_contact_items` (`id`, `guid`, `category_id`, `title`, `branch`, `contact_person`, `virtual_filename`, `pobox`, `street`, `city`, `province`, `postal`, `country`, `tollfree`, `phone`, `fax`, `email`, `mobile`, `schema_org_type`, `latitude`, `longitude`, `map_zoom`, `display_email`, `display_map`, `additional_info`, `additional_options`, `status`, `sort_order`, `permission_read`, `permission_write`, `date_created`, `date_modified`, `version`) VALUES
(1, '11770ff3-eb4b-11e6-bbcc-5856a53c396c', 1, 'Main Office', 'Library Art Square', 'Mr. Contact Person', 'edmonton', '', '#123, 4567 Road NW', 'Edmonton', 'AB', 'T6L 1X6', 'Canada', '1.888.123.45678', '780.999.9999', '780.888.8888', 'sample@email.com', '780.777.7777', 'ArtGallery', '53.470852300000000', '-113.620087700000000', 17, 0, '1', '<p><img class=\"thumbnail\" style=\"float: right;\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/articles/bsnwrk_47.jpg\" alt=\"Contact Us\" />Lorem ipsum dolor sit amet, nam ullum putent accumsan et, has reprimique ullamcorper consequuntur te. Ullum essent putant ea per, nec in munere accommodare. Ad eos doctus signiferumque, eum at suscipit indoctum hendrerit. At cum nisl alterum consulatu. Apeirian reprimique vel in, vim dico eros ei. Ferri commodo eam cu, eu vis tibique gloriatur.</p>', '', 1, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}', NOW(), NULL, '1.00');

--
-- Dumping data for table `gk_menu_categories`
--

INSERT INTO `gk_menu_categories` (`cid`, `title`, `sort_order`) VALUES
(1, 'top', 0),
(2, 'bottom', 0),
(3, 'members', 0);

--
-- Dumping data for table `gk_menu_items`
--

INSERT INTO `gk_menu_items` (`id`, `status`, `open_in_new_window`, `category_id`, `parent_id`, `title`, `summary`, `sort_order`, `ssl_state`, `subtemplate`, `subtemplate_inner_pages`, `subtemplate_mobile`, `subtemplate_mobile_inner_pages`, `application`, `menuaction`, `menuitem`, `internalurl`, `sefurl`, `customurl`, `font_icon`, `use_font_icon_only_no_text`, `left_image`, `right_image`, `is_placeholder_only`, `permission_read`, `permission_write`) VALUES
(1, 1, 0, 1, 0, 'Home', '', 0, 0, 'home.template', NULL, NULL, NULL, 'home', NULL, NULL, '/', '/src', NULL, NULL, NULL, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(2, 1, 0, 1, 0, 'Blog', NULL, 2, 0, 'index', 'two-column-right-sidebar.template', 'two-column-right-sidebar.template', NULL, 'blog', 'standard_main_app', '', 'app=blog', '/src/blog/', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(3, 1, 0, 1, 0, 'Contact Us', NULL, 12, 0, 'index', 'index', 'index', NULL, 'contacts', 'standard_main_app', '', 'app=contacts', '/src/contacts/', NULL, '', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(4, 1, 0, 1, 0, 'Services', NULL, 4, 0, 'index', 'index', 'index', NULL, 'menu_placeholder', NULL, NULL, '', '/src/contacts/', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(5, 1, 0, 1, 4, 'Web Application Development', NULL, 0, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i2', 'app=html&action=viewitem&id=2', '/src/html/services/web-app-development.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'N;'),
(6, 1, 0, 1, 4, 'Mobile App Development', NULL, 2, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i3', 'app=html&action=viewitem&id=3', '/src/html/services/mobile-app-development.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'N;'),
(7, 1, 0, 1, 4, 'Application Integration', NULL, 8, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i5', 'app=html&action=viewitem&id=5', '/src/html/services/application-integration.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'N;'),
(8, 1, 0, 1, 0, 'About Us', NULL, 10, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i5', 'app=html&action=viewitem&id=5', '/src/html/about-us.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'N;'),
(9, 1, 0, 2, 0, 'Privacy Policy', NULL, 10, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i8', 'app=html&action=viewitem&id=8', '/src/html/legal/privacy-policy.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'N;'),
(10, 1, 0, 2, 0, 'Terms of Service', NULL, 11, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i9', 'app=html&action=viewitem&id=9', '/src/html/legal/terms-of-service.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(11, 1, 0, 2, 0, 'License', NULL, 12, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i29', 'app=html&action=viewitem&id=29', '/src/html/legal/license.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'N;'),
(12, 1, 0, 2, 0, 'Copyright', NULL, 13, 0, 'index', 'index', 'index', NULL, 'html', 'standard_browse', 'i10', 'app=html&action=viewitem&id=10', '/src/html/legal/copyright.html', NULL, ' ', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'N;'),
(13, 1, 0, 3, 0, 'Members Page', NULL, 0, 0, 'index', 'index', 'index', NULL, 'users', 'standard_main_app', '', 'app=users', '/src/users/', NULL, 'fas fa-file-audio', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(14, 1, 0, 3, 0, 'Change Password', NULL, 2, 0, 'index', 'index', 'index', NULL, 'users', 'changepassword', 'i17', 'app=users&action=changepassword', '/src/users/action/changepassword', NULL, 'fas fa-unlock-alt', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(15, 1, 0, 3, 0, 'Logout', NULL, 6, 0, 'index', 'index', 'index', NULL, 'users', 'logout', NULL, 'app=users&action=logout', '/src/users/action/logout', NULL, 'fas fa-sign-in-alt', 0, NULL, NULL, 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(16, 1, 0, 3, 0, 'Edit Profile', NULL, 4, 0, 'index', 'index', 'index', NULL, 'users', 'myprofile', NULL, 'app=users&action=myprofile', '/src/users/action/myprofile', NULL, 'far fa-user-circle', 0, NULL, NULL, 0, NULL, NULL);
COMMIT;



INSERT INTO `gk_block_items` (`id`, `category_id`, `title`, `original_block`, `description`, `status`, `sort_order`, `date_modified`, `display_in_menu`, `permission_read`, `permission_write`) VALUES
(1, 1, 'customtext', 'customtext', '', 0, 0, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(2, 1, 'latestblog', 'latestblog', '', 0, 0, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(3, 1, 'loginbox', 'loginbox', '', 0, 0, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(4, 1, 'googleanalytics', 'googleanalytics', '', 0, 0, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(5, 12, 'featured_news', 'featured', '', 1, 0, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(6, 11, 'popular_news', 'popular', '', 1, 0, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(7, 1, 'eucookies', 'eucookies', '', 0, 0, NOW(), 1, NULL, NULL),
(8, 4, 'top_navigation_menu', 'menus', '', 1, 0, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(9, 6, 'columntext', 'columntext', '', 0, 2, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(10, 6, 'galleryslideshow', 'galleryslideshow', '', 1, 1, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(11, 14, 'blogcategories', 'blogcategories', '', 1, 2, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(12, 14, 'blogarchives', 'blogarchives', '', 1, 1, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(13, 16, 'searchbox', 'searchbox', '', 1, 0, NOW(), 1, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(14, 10, 'address', 'customtext', '', 1, 0, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(15, 5, 'bottom_navigation_menu', 'menus', '', 1, 0, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(16, 13, 'social_media_links', 'customtext', '', 1, 0, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(17, 18, 'gallerytestimonial', 'gallerytestimonial', '', 1, 0, NOW(), 2, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(18, 15, 'menu_for_members', 'menus', '', 1, 1, NOW(), 0, NULL, NULL),
(19, 15, 'customtext_members', 'customtext', '', 1, 2, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}'),
(20, 10, 'searchbox_footer', 'searchbox', '', 1, 0, NOW(), 0, 's:8:\"everyone\";', 'a:1:{i:0;s:1:\"1\";}');


--
-- Dumping data for table `gk_block_menu_association`
--

INSERT INTO `gk_block_menu_association` (`id`, `menu_id`) VALUES
(17, 1);

--
-- Dumping data for table `gk_block_config`
--


INSERT INTO `gk_block_config` (`section`, `key`, `value`, `date_modified`, `modified_by_id`) VALUES
('address', 'str_custom_text', '<h4>Andrei Bergstein</h4>\r\n<p>The famous socialite / photographer / web designer</p>', NOW(), 1),
('blogarchives', 'str_block_title', 'Archives', NOW(), 1),
('blogarchives', 'str_css_class_div', 'navbar-collapse collapse sidebar-navbar-collapse', NOW(), 1),
('blogarchives', 'str_css_class_li', '', NOW(), 1),
('blogarchives', 'str_css_class_li_sub', 'dropdown-submenu', NOW(), 1),
('blogarchives', 'str_css_class_ul', 'nav navbar-nav', NOW(), 1),
('blogarchives', 'str_css_class_ul_sub', 'item', NOW(), 1),
('blogcategories', 'int_cache_result_seconds', '60', NOW(), 1),
('blogcategories', 'str_block_title', 'Categories', NOW(), 1),
('blogcategories', 'str_css_class_div', 'navbar-collapse collapse sidebar-navbar-collapse', NOW(), 1),
('blogcategories', 'str_css_class_li', '', NOW(), 1),
('blogcategories', 'str_css_class_li_sub', 'dropdown-submenu', NOW(), 1),
('blogcategories', 'str_css_class_ul', 'nav navbar-nav', NOW(), 1),
('blogcategories', 'str_css_class_ul_sub', 'item', NOW(), 1),
('bottom_navigation_menu', 'int_menu_id', '2', NOW(), 1),
('bottom_navigation_menu', 'str_a_1_dropdown_class', 'nav-link dropdown-toggle', NOW(), 1),
('bottom_navigation_menu', 'str_a_1_regular_class', 'nav-link', NOW(), 1),
('bottom_navigation_menu', 'str_a_2_dropdown_class', 'dropdown-toggle', NOW(), 1),
('bottom_navigation_menu', 'str_a_2_regular_class', 'nav-submenu', NOW(), 1),
('bottom_navigation_menu', 'str_custom_css_class', 'nav', NOW(), 1),
('bottom_navigation_menu', 'str_li_1_dropdown_class', 'nav-item dropdown', NOW(), 1),
('bottom_navigation_menu', 'str_li_1_regular_class', 'nav-item', NOW(), 1),
('bottom_navigation_menu', 'str_li_2_dropdown_class', 'dropdown dropdown-item', NOW(), 1),
('bottom_navigation_menu', 'str_li_2_regular_class', 'dropdown-item', NOW(), 1),
('bottom_navigation_menu', 'str_submenu_icon', '', NOW(), 1),
('bottom_navigation_menu', 'str_ul_2_class', 'dropdown-menu', NOW(), 1),
('columntext', 'bool_use_container', '1', NOW(), 1),
('columntext', 'bool_use_jumbotron', '1', NOW(), 1),
('columntext', 'str_column_1', '<div class=\"text-center\">\r\n<h3><i class=\"fas fa-chart-bar\"></i> Heading</h3>\r\n<p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod. Nullam id dolor id nibh ultricies vehicula ut id elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>\r\n</div>', NOW(), 1),
('columntext', 'str_column_2', '<div class=\"text-center\">\r\n<h3><i class=\"far fa-thumbs-up\"></i> Heading</h3>\r\n<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n</div>', NOW(), 1),
('columntext', 'str_column_3', '<div class=\"text-center\">\r\n<h3><i class=\"fas fa-sitemap\"></i> Heading</h3>\r\n<p>Donec sed odio dui. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n</div>', NOW(), 1),
('columntext', 'str_jumbotron_additional_css', 'blue_gradient', NOW(), 1),
('customtext_members', 'str_custom_text', '<hr />\r\n<p>This is an example of custom text block that is displayed only for members</p>', NOW(), 1),
('featured_news', 'int_cache_result_seconds', '120', NOW(), 1),
('featured_news', 'int_max_entries', '5', NOW(), 1),
('featured_news', 'str_app', 'blog', NOW(), 1),
('featured_news', 'str_block_title', 'Featured Posts', NOW(), 1),
('footer_menu', 'int_menu_id', '2', NOW(), 1),
('footer_menu', 'str_custom_class', '', NOW(), 1),
('galleryslideshow', 'int_category_id', '1', NOW(), 1),
('gallerytestimonial', 'int_category_id', '2', NOW(), 1),
('menu_for_members', 'int_menu_id', '3', NOW(), 1),
('menu_for_members', 'str_a_1_dropdown_class', '', NOW(), 1),
('menu_for_members', 'str_a_1_regular_class', '', NOW(), 1),
('menu_for_members', 'str_a_2_dropdown_class', '', NOW(), 1),
('menu_for_members', 'str_a_2_regular_class', '', NOW(), 1),
('menu_for_members', 'str_custom_css_class', '', NOW(), 1),
('menu_for_members', 'str_dropdown_toggle_class', 'dropdown', NOW(), 1),
('menu_for_members', 'str_li_1_dropdown_class', '', NOW(), 1),
('menu_for_members', 'str_li_1_regular_class', '', NOW(), 1),
('menu_for_members', 'str_li_2_dropdown_class', '', NOW(), 1),
('menu_for_members', 'str_li_2_regular_class', '', NOW(), 1),
('menu_for_members', 'str_submenu_icon', '', NOW(), 1),
('menu_for_members', 'str_ul_2_class', '', NOW(), 1),
('popular_news', 'int_cache_result_seconds', '1', NOW(), 1),
('popular_news', 'int_max_entries', '4', NOW(), 1),
('popular_news', 'str_app', 'blog', NOW(), 1),
('popular_news', 'str_block_title', 'Popular Posts', NOW(), 1),
('searchbox', 'bool_display_header', '', NOW(), 1),
('searchbox', 'str_css_id', 'top_searchbox', NOW(), 1),
('searchbox_footer', 'bool_display_header', '0', NOW(), 1),
('searchbox_footer', 'str_css_id', '', NOW(), 1),
('social_media_links', 'str_custom_text', '<div class=\"social-footer\">\r\n<h3>Connect with Us</h3>\r\n<ul class=\"social-footer\">\r\n<li><a href=\"https://www.facebook.com\" target=\"_blank\" rel=\"noopener noreferrer\"><span class=\"fab fa-fbook\"></span> Facebook</a></li>\r\n<li><a href=\"https://www.twitter.com/schlix\" target=\"_blank\" rel=\"noopener noreferrer\"><span class=\"fab fa-twtr\"></span> Twitter</a></li>\r\n<li><a href=\"https://www.pinterest.com\" target=\"_blank\" rel=\"noopener noreferrer\"><span class=\"fab fa-pinterest\"></span> Pinterest</a></li>\r\n<li><a href=\"/blog/rss\" target=\"_blank\" rel=\"noopener noreferrer\"><span class=\"fas fa-rsfd\"></span> RSS</a></li>\r\n</ul>\r\n</div>', NOW(), 1),
('top_navigation_menu', 'int_menu_id', '1', NOW(), 1),
('top_navigation_menu', 'str_custom_css_class', '', NOW(), 1),
('top_navigation_menu', 'str_submenu_icon', 'fas fa-angle-right', NOW(), 1);



--
-- Dumping data for table `gk_html_categories`
--

INSERT INTO `gk_html_categories` (`cid`, `guid`, `parent_id`, `title`, `virtual_filename`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `sort_order`, `status`, `featured`, `version`, `pageview`, `items_per_page`, `created_by_id`, `modified_by_id`, `locked_by_id`, `meta_key`, `meta_description`, `summary`, `description`, `description_background_image`, `permission_write`, `permission_read`, `options`, `tags`) VALUES
(1, uuid(), 0, 'Services', 'services', NOW(), NULL, NULL, NULL, NULL, 1, 0, '1.00', 0, 10, 1, 1, NULL, '', 'Services', '', '', NULL, '', '', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', ''),
(2, '65f89342-1f2c-f3c4-6178-85a2de60e2ec', 0, 'Legal', 'legal', NOW(), NULL, NULL, NULL, NULL, 1, 0, '1.00', 0, 10, 1, NULL, NULL, '', 'Legal', '', '', NULL, 'N;', 's:8:\"everyone\";', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', '');

--
-- Dumping data for table `gk_html_items`
--

INSERT INTO `gk_html_items` (`id`, `guid`, `category_id`, `title`, `virtual_filename`, `summary`, `description`, `description_background_image`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `created_by_id`, `modified_by_id`, `locked_by_id`, `permission_write`, `permission_read`, `meta_key`, `meta_description`, `pageview`, `status`, `featured`, `version`, `sort_order`, `options`, `tags`) VALUES
(1, uuid(), 0, 'Home', 'home', '<p><a title=\"SCHLIX\" href=\"https://www.schlix.com\" target=\"_blank\" rel=\"noopener noreferrer\"><img style=\"float: right;\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/schlixlogo.png\" alt=\"SCHLIX CMS\" /></a>This is a&nbsp; SCHLIX CMS installation with blank sample data. You can use this as a basic Bootstrap 4 template for creating generic company profile website. We have provided very basic design templates that you can easily modify or extend for your own purpose. To override the template, simply go to your sub-site theme directory (e.g. /web/{subsitename}/themes/companyprofile/apps) and customize the files. To get more functionalities on this website, go to the Extensions Gallery in the backend and download more extensions and themes. Please <a href=\"https://www.schlix.com/documentation/\" target=\"_blank\" rel=\"noopener noreferrer\">read the documentation</a> and if you have any questions, simply post your question in the <a href=\"https://www.schlix.com/forum/\" target=\"_blank\" rel=\"noopener noreferrer\">forum</a>.</p><p>Quick Tips:</p><ul><li>You can change the frontend application to others. e.g. Landing Pages. To do so, go to Global Configuration and change the settings there.</li><li>If you install a new theme based on Bootstrap 3, please remember to change the Frontend CSS Framework to Bootstrap 3 from Global Configuration. Additional support for other CSS frameworks are currently being worked on and should be ready by mid-2020.</li><li>This is a blank sample data site suitable for production. We highly recommend that you experiment with the <a href=\"https://demo3.schlix.com\" target=\"_blank\" rel=\"noopener noreferrer\">Newspaper</a> and <a href=\"https://demo2.schlix.com\" target=\"_blank\" rel=\"noopener noreferrer\">Company Profile</a> sample data first if you\'re new to SCHLIX CMS.</li></ul>', '', '', NOW(), NOW(), NULL, NULL, 1, 1, 0, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', 'keyword1, keyword2, keyword3', 'You should change this meta description since it affects the SEO', 826, 1, 0, '1.00', 0, 'a:2:{i:0;s:27:\"display_item_summary_noread\";i:1;s:8:\"__null__\";}', ''),
(2, 'b5be0af7-abc9-c304-e5db-e70131544e51', 1, 'Web Application Development', 'web-app-development', '<p class=\"lead\">Vivamus a neque nec felis cursus viverra id in orci. Morbi in tincidunt nisi. Vestibulum vestibulum lectus nec magna viverra lobortis. Nam dapibus scelerisque turpis a malesuada. Nam semper molestie lectus, sed interdum elit pulvinar quis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec a convallis nunc. Maecenas arcu turpis, congue non finibus sit amet, egestas ut ligula. Sed sodales nunc orci, ac maximus nisl iaculis vel.</p>\r\n<div class=\"card-deck mb-3 text-center\">\r\n<div class=\"card mb-4 shadow-sm\">\r\n<div class=\"card-header\">\r\n<h4 class=\"my-0 font-weight-normal\">Basic</h4>\r\n</div>\r\n<div class=\"card-body\">\r\n<h1 class=\"card-title pricing-card-title\">$3,500</h1>\r\n<ul class=\"list-unstyled mt-3 mb-4\">\r\n<li>20 pages included</li>\r\n<li>2 GB of storage</li>\r\n<li>Email support</li>\r\n<li>Help center access</li>\r\n</ul>\r\n<a class=\"btn btn-lg btn-block btn-outline-primary\" href=\"contacts\">Free consultation</a></div>\r\n</div>\r\n<div class=\"card mb-4 shadow-sm\">\r\n<div class=\"card-header\">\r\n<h4 class=\"my-0 font-weight-normal\">Company Profile</h4>\r\n</div>\r\n<div class=\"card-body\">\r\n<h1 class=\"card-title pricing-card-title\">$7,500</h1>\r\n<ul class=\"list-unstyled mt-3 mb-4\">\r\n<li>30 pages included</li>\r\n<li>10 GB of storage</li>\r\n<li>Priority email support</li>\r\n<li>Help center access</li>\r\n</ul>\r\n<a class=\"btn btn-lg btn-block btn-primary\" href=\"contacts\">Get started</a></div>\r\n</div>\r\n<div class=\"card mb-4 shadow-sm\">\r\n<div class=\"card-header\">\r\n<h4 class=\"my-0 font-weight-normal\">E-commerce</h4>\r\n</div>\r\n<div class=\"card-body\">\r\n<h1 class=\"card-title pricing-card-title\">$20,000<small class=\"text-muted\"></small></h1>\r\n<ul class=\"list-unstyled mt-3 mb-4\">\r\n<li>Unlimited pages</li>\r\n<li>15 GB of storage</li>\r\n<li>Phone and email support</li>\r\n<li>Help center access</li>\r\n</ul>\r\n<a class=\"btn btn-lg btn-block btn-primary\" href=\"contacts\">Contact us</a></div>\r\n</div>\r\n</div>\r\n<p>Maecenas interdum erat a fringilla maximus. Fusce vitae nibh semper, ullamcorper lectus sit amet, facilisis lacus. Proin nec sem nec justo luctus fermentum. Fusce iaculis elit non nulla iaculis euismod. Integer imperdiet nisi sed urna bibendum commodo. Vivamus scelerisque placerat nunc, nec feugiat ex tempus sit amet. Mauris erat ex, volutpat sit amet semper sed, gravida a elit.</p>\r\n<img src=\"https://static-demo.schlix.website/images/static/sample1/demo/articles/ll_laptop_1.jpg\" alt=\"Demo\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eget massa rutrum, interdum augue non, interdum neque. Phasellus sodales tellus et nulla accumsan porta. Praesent ut nunc elit. Nulla non accumsan nunc. Etiam quis hendrerit augue. Maecenas bibendum felis convallis massa volutpat, ut tincidunt justo maximus. Vestibulum fermentum erat sed rutrum tempus.</p>', '', NULL, NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'Web Design', 158, 1, 0, '1.00', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', ''),
(3, '2ce3ccff-4933-5dc4-158c-13f32fe0798a', 1, 'Mobile App Development', 'mobile-app-development', '<p>Donec faucibus metus a justo imperdiet pretium. Praesent eu tortor egestas enim suscipit volutpat in scelerisque enim. Ut augue orci, aliquam eu tempus at, ullamcorper ac augue. Aenean tincidunt nisi sit amet nibh porta, et posuere diam pulvinar. Nullam fermentum ullamcorper felis eu efficitur. Suspendisse tristique et sem at ullamcorper. Nam congue, eros non imperdiet egestas, ipsum erat maximus nunc, ut ultrices turpis felis vel magna. In hendrerit turpis eu tortor pharetra, non eleifend nulla fermentum. Sed auctor eros nulla, vel porttitor augue condimentum id. Suspendisse tempus elit quis turpis iaculis, eget pharetra velit tempus. Vestibulum rutrum sollicitudin ante a hendrerit. Suspendisse consectetur cursus sollicitudin.&nbsp;</p>\r\n<hr class=\"featurette-divider\" />\r\n<div class=\"row featurette\">\r\n<div class=\"col-md-7\">\r\n<h2 class=\"featurette-heading\">Sample heading. <span class=\"text-muted\">With different colour.</span></h2>\r\n<p class=\"lead\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam neque mi, sollicitudin eget facilisis ut, rhoncus a ipsum. Integer molestie libero vitae efficitur eleifend. Ut nulla mi, rhoncus ac diam et, euismod sagittis nulla. Suspendisse metus ipsum, pellentesque ac eros at, accumsan sollicitudin dui. Mauris dapibus aliquam lectus eget maximus. Nunc aliquet felis eget nisl dignissim condimentum. In hac habitasse platea dictumst.</p>\r\n</div>\r\n<div class=\"col-md-5\"><img class=\"featurette-image img-fluid mx-auto\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/articles/img_feature_1.jpg\" alt=\"Generic placeholder image\" /></div>\r\n</div>\r\n<hr class=\"featurette-divider\" />\r\n<div class=\"row featurette\">\r\n<div class=\"col-md-7 order-md-2\">\r\n<h2 class=\"featurette-heading\">Different positioning. <span class=\"text-muted\">Variation.</span></h2>\r\n<p class=\"lead\">Praesent sodales dolor non euismod consectetur. Aliquam porttitor et neque vel auctor. Nam ut velit tempor, fermentum velit nec, auctor leo. Sed luctus dictum ullamcorper. Etiam ut erat ut diam mollis vulputate. Proin in porttitor mauris. Mauris posuere tortor diam, ac bibendum justo lobortis ut. Duis ante augue, finibus eget ex blandit, consequat laoreet magna. Curabitur id egestas lorem, sed varius elit. Etiam sed pulvinar lorem. Pellentesque sit amet luctus nibh, a porta erat.</p>\r\n</div>\r\n<div class=\"col-md-5 order-md-1\"><img class=\"featurette-image img-fluid mx-auto\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/articles/img_feature_2.jpg\" alt=\"Generic placeholder image\" /></div>\r\n</div>\r\n<hr class=\"featurette-divider\" />\r\n<div class=\"row featurette\">\r\n<div class=\"col-md-7\">\r\n<h2 class=\"featurette-heading\">Back to original. <span class=\"text-muted\">Sample.</span></h2>\r\n<p class=\"lead\">&nbsp;In hac habitasse platea dictumst. Phasellus quam odio, dapibus quis felis a, porta pulvinar ipsum. Morbi dui ante, porttitor sed ipsum eget, dapibus laoreet diam. Aliquam tempor neque vel elementum lacinia. Vestibulum accumsan urna in libero blandit mattis. Sed lectus justo, euismod sed sem quis, vehicula posuere augue. Nam ac libero sed erat ornare lacinia cursus a augue. Cras id varius neque. Aenean dapibus ipsum odio, eget tristique justo bibendum id. Cras bibendum molestie placerat. Nulla porttitor lacus ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ultricies dolor quis velit ullamcorper, nec tincidunt quam interdum. Vivamus rutrum ac eros porttitor sagittis. Praesent lacinia lectus metus.</p>\r\n</div>\r\n<div class=\"col-md-5\"><img class=\"featurette-image img-fluid mx-auto\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/articles/img_feature_3.jpg\" alt=\"Generic placeholder image\" /></div>\r\n</div>\r\n<hr class=\"featurette-divider\" /><!-- /END THE FEATURETTES -->\r\n<p class=\"lead\">Mauris efficitur urna id tellus tristique tristique ut sit amet purus. Phasellus ullamcorper, leo in laoreet vulputate, libero libero gravida velit, at sagittis sapien metus sed risus. Cras viverra interdum metus. Nunc nec molestie est, vel posuere ligula. Curabitur in nibh euismod, tristique odio ut, aliquam nisi. Ut quis neque risus. Phasellus sit amet ante nec leo feugiat varius a ut lacus.</p>', '', NULL, NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'Android App Development', 102, 1, 0, '1.00', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', ''),
(4, '75e848ca-57fd-c3a4-e9e5-2fe4a42c5fe1', 1, 'Application Integration', 'application-integration', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla suscipit turpis sit amet eros sollicitudin, quis finibus sem fringilla. Nam vel magna sed libero vehicula eleifend. Sed vestibulum, lorem eget faucibus facilisis, enim purus sagittis tellus, et cursus neque tortor ut libero. Vestibulum euismod lacus diam, et vestibulum felis auctor eu. Pellentesque semper, elit et vestibulum placerat, odio nibh tempor orci, ut molestie felis lectus a risus. Quisque fermentum facilisis tempus. Vivamus sed purus sem. Nam congue, eros non imperdiet egestas, ipsum erat maximus nunc, ut ultrices turpis felis vel magna. In hendrerit turpis eu tortor pharetra, non eleifend nulla fermentum. Sed auctor eros nulla, vel porttitor augue condimentum id. Suspendisse tempus elit quis turpis iaculis, eget pharetra velit tempus. Vestibulum rutrum sollicitudin ante a hendrerit. Suspendisse consectetur cursus sollicitudin.</p>\r\n<p><img src=\"https://static-demo.schlix.website/images/static/sample1/demo/articles/sample_img_2.jpg\" alt=\"Sample Image\" /></p>\r\n<section class=\"site-section border-bottom\">\r\n<div class=\"container\">\r\n<div class=\"row\">\r\n<div class=\"col-md-6 col-lg-4 mb-4 aos-init aos-animate\" data-aos=\"fade-up\">\r\n<div class=\"p-3 box-with-humber\">\r\n<div class=\"number-behind\">01.</div>\r\n<h2>PHP</h2>\r\n<p>Aenean sollicitudin luctus velit. Nam vel tristique nulla. Maecenas diam mi, rhoncus lobortis nisi nec, aliquam lobortis justo. Morbi risus ipsum, maximus vitae nisi pellentesque, aliquam tristique felis.</p>\r\n</div>\r\n</div>\r\n<div class=\"col-md-6 col-lg-4 mb-4 aos-init aos-animate\" data-aos=\"fade-up\" data-aos-delay=\"100\">\r\n<div class=\"p-3 box-with-humber\">\r\n<div class=\"number-behind\">02.</div>\r\n<h2>Java</h2>\r\n<p>Nulla scelerisque sapien id tellus egestas tristique. Curabitur imperdiet, mi et efficitur dictum, nibh lorem feugiat dui, nec accumsan mi metus vel purus. Integer ultricies mattis dolor, id sagittis nisi.</p>\r\n</div>\r\n</div>\r\n<div class=\"col-md-6 col-lg-4 mb-4 aos-init aos-animate\" data-aos=\"fade-up\" data-aos-delay=\"200\">\r\n<div class=\"p-3 box-with-humber\">\r\n<div class=\"number-behind\">03.</div>\r\n<h2>Ruby</h2>\r\n<p>Nullam quam arcu, auctor eget diam sed, fermentum pretium lorem. Phasellus dapibus vestibulum lectus, malesuada venenatis odio fringilla et. Pellentesque imperdiet lectus eget facilisis scelerisque. Proin volutpat sagittis venenatis.</p>\r\n</div>\r\n</div>\r\n<div class=\"col-md-6 col-lg-4 mb-4 aos-init aos-animate\" data-aos=\"fade-up\" data-aos-delay=\"300\">\r\n<div class=\"p-3 box-with-humber\">\r\n<div class=\"number-behind\">04.</div>\r\n<h2>Python</h2>\r\n<p>Quisque posuere orci et arcu aliquam fermentum. Proin pretium vel mauris et consectetur. Donec quis urna dui. Mauris mattis neque mi, hendrerit porta tortor condimentum ac.</p>\r\n</div>\r\n</div>\r\n<div class=\"col-md-6 col-lg-4 mb-4 aos-init aos-animate\" data-aos=\"fade-up\" data-aos-delay=\"400\">\r\n<div class=\"p-3 box-with-humber\">\r\n<div class=\"number-behind\">05.</div>\r\n<h2>MySQL</h2>\r\n<p>Pellentesque ut mauris quis sem volutpat ornare luctus eu augue. Sed lobortis leo eget tincidunt mollis. Vivamus consectetur blandit quam, eu euismod risus porttitor quis.</p>\r\n</div>\r\n</div>\r\n<div class=\"col-md-6 col-lg-4 mb-4 aos-init aos-animate\" data-aos=\"fade-up\" data-aos-delay=\"500\">\r\n<div class=\"p-3 box-with-humber\">\r\n<div class=\"number-behind\">06.</div>\r\n<h2>Apache</h2>\r\n<p>Pellentesque nec pulvinar nibh. Phasellus aliquet fringilla velit, a tincidunt nulla elementum eget. Proin faucibus consequat consectetur.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</section>', '', NULL, NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'GIS Application Development', 64, 1, 0, '1.00', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', ''),
(5, '5e28070b-6e32-1d34-293f-92e5913b8378', 0, 'About Us', 'about-us', '<p>Aenean tincidunt velit pellentesque odio facilisis, et egestas nunc eleifend. Nullam pellentesque purus eu justo blandit tincidunt. Nulla vulputate, augue sed posuere consectetur, lorem magna ultrices mauris, vel commodo justo lectus ut mauris. Duis sed sapien massa. Maecenas fringilla finibus rhoncus. Donec ex nisl, cursus in sapien at, tempor ornare eros. Vivamus pulvinar sit amet ante ut rhoncus. Fusce eleifend aliquet porta. Sed id venenatis nunc. Proin rhoncus enim est, non luctus elit sagittis et. Proin fermentum purus massa, aliquam faucibus ex ultricies ac. Proin faucibus, diam porttitor pharetra dictum, est diam facilisis sapien, in congue orci odio at odio. Mauris vitae nunc suscipit, iaculis justo feugiat, laoreet est. Proin condimentum nibh nisl, nec facilisis eros laoreet at. Aliquam vitae malesuada nunc.</p>\r\n<h2 class=\"text-center mb-3\">Executive Team</h2>\r\n<!-- Three columns of text below the carousel -->\r\n<div class=\"row text-center\">\r\n<div class=\"col-lg-4\"><img class=\"rounded-circle\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/faces/bm_2.jpg\" alt=\"John Sample\" width=\"140\" height=\"140\" />\r\n<h2>John Sample</h2>\r\n<p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod. Nullam id dolor id nibh ultricies vehicula ut id elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna.</p>\r\n</div>\r\n<!-- /.col-lg-4 -->\r\n<div class=\"col-lg-4\"><img class=\"rounded-circle\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/faces/bm_3.jpg\" alt=\"Allan Sample\" width=\"140\" height=\"140\" />\r\n<h2>Allan Sample</h2>\r\n<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh.</p>\r\n</div>\r\n<!-- /.col-lg-4 -->\r\n<div class=\"col-lg-4\"><img class=\"rounded-circle\" src=\"https://static-demo.schlix.website/images/static/sample1/demo/faces/bm_4.jpg\" alt=\"Kevin Sample\" width=\"140\" height=\"140\" />\r\n<h2>Kevin Sample</h2>\r\n<p>Donec sed odio dui. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n</div>\r\n<!-- /.col-lg-4 --></div>\r\n<!-- /.row --><hr />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam ultrices ornare tortor, non facilisis justo semper nec. Nulla varius sodales enim, non fermentum nibh scelerisque vel. Quisque aliquet augue in est tempus, vel consectetur dolor venenatis. Nunc in orci id tortor rutrum semper. Proin aliquet justo quis ipsum commodo semper. Curabitur mollis pulvinar nisi. Maecenas iaculis, ante quis condimentum sagittis, sem nibh mattis augue, vel dapibus sapien libero sit amet justo.</p>', '', NULL, NOW(), NOW(), NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', 'about us, company, test', 'This meta description is important for the search engine', 246, 1, 0, '1.10', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', 'about us'),
(6, '855346cf-56fe-3cd4-29a2-f739977a4af6', 2, 'Privacy Policy', 'privacy-policy', '<p>We respect your privacy and are committed to protecting personally identifiable information you may provide us through the Website. We have adopted this privacy policy to explain what information may be collected on our website, how we use this information, and under what circumstances we may disclose the information to third parties. This Privacy Policy applies only to information we collect through the Website and does not apply to our collection of information from other sources. This Privacy Policy, together with the Terms and conditions posted on our website, set forth the general rules and policies governing your use of our website. Depending on your activities when visiting our website, you may be required to agree to additional terms and conditions.</p>\r\n<h2>Website Visitors</h2>\r\n<p>Like most website operators, we collect non-personally-identifying information of the sort that web browsers and servers typically make available, such as the browser type, language preference, referring site, and the date and time of each visitor request. Our purpose in collecting non-personally identifying information is to better understand how our visitors use its website. From time to time, We may release non-personally-identifying information in the aggregate, e.g., by publishing a report on trends in the usage of its website.</p>\r\n<p>We also collect potentially personally-identifying information like Internet Protocol (IP) addresses for logged in users and for users leaving comments on our site. We only disclose logged in user and commenter IP addresses under the same circumstances that it uses and discloses personally-identifying information as described below.</p>\r\n<h2>Gathering of Personally-Identifying Information</h2>\r\n<p>Certain visitors to our websites choose to interact in ways that require us to gather personally-identifying information. The amount and type of information that we gather depends on the nature of the interaction.</p>\r\n<h2>Security</h2>\r\n<p>The security of your Personal Information is important to us, but remember that no method of transmission over the Internet, or method of electronic storage is 100% secure. While we strive to use commercially acceptable means to protect your Personal Information, we cannot guarantee its absolute security.</p>\r\n<h2>Advertisements</h2>\r\n<p>Ads appearing on our website may be delivered to users by advertising partners, who may set cookies. These cookies allow the ad server to recognize your computer each time they send you an online advertisement to compile information about you or others who use your computer. This information allows ad networks to, among other things, deliver targeted advertisements that they believe will be of most interest to you. This Privacy Policy covers the use of cookies by us and does not cover the use of cookies by any advertisers.</p>\r\n<h2>Links To External Sites</h2>\r\n<p>Our Service may contain links to external sites that are not operated by us. If you click on a third party link, you will be directed to that third party\'s site. We strongly advise you to review the Privacy Policy and terms and conditions of every site you visit.</p>\r\n<p>We have no control over, and assume no responsibility for the content, privacy policies or practices of any third party sites, products or services.</p>\r\n<h2>Protection of Certain Personally-Identifying Information</h2>\r\n<p>We disclose potentially personally-identifying and personally-identifying information only to those of its employees, contractors and affiliated organizations that (i) need to know that information in order to process it on our behalf or to provide services available at our website, and (ii) that have agreed not to disclose it to others. Some of those employees, contractors and affiliated organizations may be located outside of your home country; by using our website, you consent to the transfer of such information to them. We will not rent or sell potentially personally-identifying and personally-identifying information to anyone. Other than to its employees, contractors and affiliated organizations, as described above, We disclose potentially personally-identifying and personally-identifying information only in response to a subpoena, court order or other governmental request, or when we believes in good faith that disclosure is reasonably necessary to protect our properties and rights, third parties or the public at large.</p>\r\n<p>If you are a registered user of our website and have supplied your email address, we may occasionally send you an email to tell you about new features, solicit your feedback, or just keep you up to date with what\'s going on with us and our products. We primarily use our blog to communicate this type of information, so we expect to keep this type of email to a minimum. If you send us a request (for example via a support email or via one of our feedback mechanisms), we reserve the right to publish it in order to help us clarify or respond to your request or to help us support other users. We take all measures reasonably necessary to protect against the unauthorized access, use, alteration or destruction of potentially personally-identifying and personally-identifying information.</p>\r\n<h2>Aggregated Statistics</h2>\r\n<p>We may collect statistics about the behavior of visitors to its website. We may display this information publicly or provide it to others. However, we do not disclose your personally-identifying information.</p>\r\n<h2>Affiliate Disclosure</h2>\r\n<p>This site uses affiliate links and does earn a commission from certain links. This does not affect your purchases or the price you may pay.</p>\r\n<h2>Cookies</h2>\r\n<p>To enhance your online experience, we use \"Cookies\", similar technologies and services provided by others to display personalized content, appropriate advertising and store your preferences on your computer.</p>\r\n<p>A cookie is a string of information that a website stores on a visitor\'s computer, and that the visitor\'s browser provides to the website each time the visitor returns. We use cookies to help us identify and track visitors, their usage of our website, and their website access preferences. Our visitors who do not wish to have cookies placed on their computers should set their browsers to refuse cookies before using our website, with the drawback that certain features of our websites may not function properly without the aid of cookies.</p>\r\n<p>By continuing to navigate our website without changing your cookie settings, you hereby acknowledge and agree to our use of cookies.</p>\r\n<h2>Privacy Policy Changes</h2>\r\n<p>Although most changes are likely to be minor, We may change its Privacy Policy from time to time, and in our sole discretion. We encourage visitors to frequently check this page for any changes to its Privacy Policy. Your continued use of this site after any change in this Privacy Policy will constitute your acceptance of such change.</p>', '', NULL, NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'Privacy Policy', 2, 1, 0, '1.00', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', ''),
(7, '5b8e3799-54ca-5214-e583-2285ba8f4d5f', 2, 'Terms of Service', 'terms-of-service', '<p>By accessing this website we assume you accept these terms and conditions in full. Do not continue to use our website if you do not accept all of the terms and conditions stated on this page.</p>\r\n<h2>Cookies</h2>\r\n<p>We employ the use of cookies. By using our website you consent to the use of cookies in accordance with our privacy policy.</p>\r\n<p>Most of the modern day interactive web sites use cookies to enable us to retrieve user details for each visit. Cookies are used in some areas of our site to enable the functionality of this area and ease of use for those people visiting. Some of our affiliate / advertising partners may also use cookies.</p>\r\n<h2>License</h2>\r\n<p>Unless otherwise stated, we and our vendors own the intellectual property rights for all material on us. All intellectual property rights are reserved. You may view and/or print pages from our website for your own personal use subject to restrictions set in these terms and conditions.</p>\r\n<p>You must not:</p>\r\n<ol>\r\n<li>Republish material from our website</li>\r\n<li>Sell, rent or sub-license material from our website</li>\r\n<li>Reproduce, duplicate or copy material from our website</li>\r\n</ol>\r\n<p>Redistribute content from us (unless content is specifically made for redistribution).</p>\r\n<h2>User Comments</h2>\r\n<ol>\r\n<li>This Agreement shall begin on the date hereof.</li>\r\n<li>Certain parts of this website offer the opportunity for users to post and exchange opinions, information, material and data (\'Comments\') in areas of the website. Our website does not screen, edit, publish or review Comments prior to their appearance on the website and Comments do not reflect the views or opinions of Company Name, its agents or affiliates. Comments reflect the view and opinion of the person who posts such view or opinion. To the extent permitted by applicable laws Company Name shall not be responsible or liable for the Comments or for any loss cost, liability, damages or expenses caused and or suffered as a result of any use of and/or posting of and/or appearance of the Comments on this website.</li>\r\n<li>We reserve the right to monitor all Comments and to remove any Comments which it considers in its absolute discretion to be inappropriate, offensive or otherwise in breach of these Terms and Conditions.</li>\r\n<li>You warrant and represent that:\r\n<ol>\r\n<li>You are entitled to post the Comments on our website and have all necessary licenses and consents to do so;</li>\r\n<li>The Comments do not infringe any intellectual property right, including without limitation copyright, patent or trademark, or other proprietary right of any third party;</li>\r\n<li>The Comments do not contain any defamatory, libelous, offensive, indecent or otherwise unlawful material or material which is an invasion of privacy</li>\r\n<li>The Comments will not be used to solicit or promote business or custom or present commercial activities or unlawful activity.</li>\r\n</ol>\r\n</li>\r\n<li>You hereby grant us a non-exclusive royalty-free license to use, reproduce, edit and authorize others to use, reproduce and edit any of your Comments in any and all forms, formats or media.</li>\r\n</ol>\r\n<h2>Iframes</h2>\r\n<p>Without prior approval and express written permission, you may not create frames around our Web pages or use other techniques that alter in any way the visual presentation or appearance of our Web site.</p>\r\n<h2>Reservation of Rights</h2>\r\n<p>We reserve the right at any time and in its sole discretion to request that you remove all links or any particular link to our Web site. You agree to immediately remove all links to our Web site upon such request. We also reserve the right to amend these terms and conditions and its linking policy at any time. By continuing to link to our Web site, you agree to be bound to and abide by these linking terms and conditions.</p>\r\n<h2>Removal of links from our website</h2>\r\n<p>If you find any link on our Web site or any linked web site objectionable for any reason, you may contact us about this. We will consider requests to remove links but will have no obligation to do so or to respond directly to you.</p>\r\n<p>Whilst we endeavour to ensure that the information on this website is correct, we do not warrant its completeness or accuracy; nor do we commit to ensuring that the website remains available or that the material on the website is kept up to date.</p>\r\n<h2>Content Liability</h2>\r\n<p>We shall have no responsibility or liability for any content appearing on your Web site. You agree to indemnify and defend us against all claims arising out of or based upon your Website. No link(s) may appear on any page on your Web site or within any context containing content or materials that may be interpreted as libelous, obscene or criminal, or which infringes, otherwise violates, or advocates the infringement or other violation of, any third party rights.</p>\r\n<h2>Disclaimer</h2>\r\n<p>To the maximum extent permitted by applicable law, we exclude all representations, warranties and conditions relating to our website and the use of this website (including, without limitation, any warranties implied by law in respect of satisfactory quality, fitness for purpose and/or the use of reasonable care and skill). Nothing in this disclaimer will:</p>\r\n<ol>\r\n<li>limit or exclude our or your liability for death or personal injury resulting from negligence;</li>\r\n<li>limit or exclude our or your liability for fraud or fraudulent misrepresentation;</li>\r\n<li>limit any of our or your liabilities in any way that is not permitted under applicable law; or</li>\r\n<li>exclude any of our or your liabilities that may not be excluded under applicable law.</li>\r\n</ol>\r\n<p>The limitations and exclusions of liability set out in this Section and elsewhere in this disclaimer: (a) are subject to the preceding paragraph; and (b) govern all liabilities arising under the disclaimer or in relation to the subject matter of this disclaimer, including liabilities arising in contract, in tort (including negligence) and for breach of statutory duty.</p>\r\n<p>To the extent that the website and the information and services on the website are provided free of charge, we will not be liable for any loss or damage of any nature.</p>', '', NULL, NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'Terms of Service', 1, 1, 0, '1.00', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', ''),
(8, 'c6653b3c-a078-7de4-a154-4eff69a0dd67', 2, 'Copyright', 'copyright', 'Sample page', '', NULL, NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'Copyright', 6, 1, 0, '1.00', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', ''),
(29, '0e36e621-f2ed-bb44-0156-4c220c2b55fa', 2, 'License', 'license', '<h2>License for the software: SCHLIX Shared Source</h2>\r\n<p>This License governs use of the accompanying Software. By installing, copying, or otherwise using this Software, you agree to be bound by the terms of this SCHLIX Shared Source License. Subject to the restrictions in this license, you may use, copy, reproduce, and distribute this Software:</p>\r\n<p>(1) to create any kind of <strong> commercial </strong> or <strong> non-commercial </strong> website anywhere in the world, or</p>\r\n<p>(2) to create any kind of <strong> commercial </strong> or <strong> non-commercial </strong> plug-ins (application/block/filter/template) within SCHLIX framework and charge it to your client(s).</p>\r\n<p>(3) as part of books or other teaching materials for the purpose of teaching the use of the Software in relation to SCHLIX content management system.</p>\r\n<p>(4) as a part of script library automation</p>\r\n<p>You may not grant rights to the Software or derivative works that are broader than those provided by this License. For example, you may not distribute modifications of the Software under terms that would permit uses other than with SCHLIX CMS.</p>\r\n<p>You may not use or distribute this Software or any derivative works in any form for uses other than those expressly allowed above. Unauthorized use will result in immediate termination of this License, and with it, your rights to use SCHLIX CMS.</p>\r\n<p>You may use any intangible information remembered after accessing the Software. However, this right does not grant you a license to any of SCHLIX\'s copyrights or trademarks for anything you might create using such information.</p>\r\n<p>In return, we simply require that you agree:</p>\r\n<ol>\r\n<li>Not to remove any copyright or other notices from the Software. <strong> All copyright notices </strong> in the source files and output generated by SCHLIX <strong> have to be left intact without any change/modification</strong>, unless you have requested the permission and paid for the license.</li>\r\n<li>That if you distribute the Software in source or object form, you will include a verbatim copy of this license.</li>\r\n<li>That you cannot in any way change/modify this license or distribute this Software (and not even a portion of the code) in another form of license (e.g., changing the license from SCHLIX Shared Source to GPLv3/GPLv2/MIT/BSD license, copying and pasting our code or a portion of our code and redistributing it as GPL/MIT/BSD). You must seek our permission if you would like to copy and paste any portion of our code licensed under SHARED SOURCE.</li>\r\n<li>That you are not allowed to remove the link to SCHLIX\'s website (in the footer) from the Administration template and theme files.</li>\r\n<li>That you are not allowed to alter/remove the copyright or logo. Please appreciate the amount of hours that we put in to make this work. The copyright and link to SCHLIX\'s website in the administration template and all source code files have to be left intact.</li>\r\n<li>That you are not allowed to create a derivative of this content management system and/or redistribute it under a different license.</li>\r\n<li>That you are not allowed to plagiarize or rebrand this software as something else. You may not rebrand SCHLIX or create any form of derivatives unless you have requested and paid for a special license. Please note that this is a Shared Source, not Open Source.</li>\r\n<li>That you are not allowed to sell this content management on its own. If you want to make money from this software, you may charge for hosting, template creation, application/block/autobot development, setup fee, but you are not allowed to sell this software to anyone without permission from SCHLIX Web Inc.</li>\r\n<li>THAT THE SOFTWARE COMES \"AS IS\", WITH NO WARRANTIES. THIS MEANS NO EXPRESS, IMPLIED OR STATUTORY WARRANTY, INCLUDING WITHOUT LIMITATION, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY WARRANTY OF TITLE OR NON-INFRINGEMENT. ALSO, YOU MUST PASS THIS DISCLAIMER ON WHENEVER YOU DISTRIBUTE THE SOFTWARE OR DERIVATIVE WORKS.</li>\r\n<li>THAT SCHLIX WEB INC WILL NOT BE LIABLE FOR ANY DAMAGES RELATED TO THE SOFTWARE OR THIS LICENSE, INCLUDING DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL OR INCIDENTAL DAMAGES, TO THE MAXIMUM EXTENT THE LAW PERMITS, NO MATTER WHAT LEGAL THEORY IT IS BASED ON. ALSO, YOU MUST PASS THIS LIMITATION OF LIABILITY ON WHENEVER YOU DISTRIBUTE THE SOFTWARE OR DERIVATIVE WORKS.</li>\r\n<li>That if you sue anyone over patents that you think may apply to the Software or anyone\'s use of the Software, your license to the Software ends automatically.</li>\r\n<li>That your rights under the License end automatically if you breach it in any way.</li>\r\n<li>That SCHLIX Web Inc is granted back, without any restriction or limitation, a non-exclusive, perpetual, irrevocable, royalty-free, assignable and sub-licensable license to reproduce, publicly perform or display, install, use, modify distribute and make and have made, sell, import and otherwise transfer your modifications and/or derivative works of the Software, in any form, for any purpose.</li>\r\n<li>SCHLIX Web Inc reserves the right to <strong> change the terms of this agreement at any time</strong>. Changes to this license can be found at <a href=\"http://www.schlix.com/html/license.html\" target=\"_blank\" rel=\"noopener\"> http://www.schlix.com/html/license.html</a>.</li>\r\n<li>SCHLIX Web Inc reserves all rights not expressly granted to you in this license.</li>\r\n</ol>\r\n<h2>License for the theme: MIT license</h2>\r\n<p>Copyright (C) 2019 SCHLIX Web Inc</p>\r\n<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:</p>\r\n<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.</p>\r\n<p>THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>', '', NULL, NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'License', 8, 1, 0, '1.00', 0, 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', '');

--
-- Dumping data for table `gk_landing_categories`
--

INSERT INTO `gk_landing_categories` (`cid`, `guid`, `title`, `virtual_filename`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `sort_order`, `status`, `featured`, `version`, `pageview`, `items_per_page`, `created_by_id`, `modified_by_id`, `locked_by_id`, `meta_key`, `meta_description`, `custom_css`, `custom_javascript`, `custom_header`, `permission_write`, `permission_read`, `options`, `tags`) VALUES
(1,  uuid(), 'Home', 'home', NOW(), NOW(),  NOW(), null, NULL, 1, 0, '1.00', 0, 10, 1, 1, NULL, '', 'Home', NULL, NULL, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:13:\"display_items\";s:12:\"items_sortby\";s:12:\"date_created\";}', '');

--
-- Dumping data for table `gk_landing_items`
--

INSERT INTO `gk_landing_items` (`id`, `guid`, `category_id`, `title`, `virtual_filename`, `summary`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `created_by_id`, `modified_by_id`, `locked_by_id`, `permission_write`, `permission_read`, `meta_key`, `meta_description`, `pageview`, `status`, `featured`, `version`, `sort_order`, `options`, `tags`) VALUES
(1, uuid(), 1, 'Home', 'home', '', NOW(),  NOW(),  NOW(), null, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', NULL, 'Home', 0, 1, 0, '1.00', 0, 'a:5:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";}', NULL); 



--
-- Dumping data for table `gk_gallery_categories`
--

INSERT INTO `gk_gallery_categories` (`cid`, `parent_id`, `guid`, `title`, `virtual_filename`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `sort_order`, `status`, `featured`, `version`, `pageview`, `items_per_page`, `created_by_id`, `modified_by_id`, `locked_by_id`, `meta_key`, `meta_description`, `summary`, `description`, `permission_write`, `permission_read`, `options`, `tags`, `non_public`, `processed`, `thumbnail_width`, `thumbnail_height`, `thumbnail_quality`, `small_width`, `small_height`, `small_quality`, `medium_width`, `medium_height`, `medium_quality`, `large_width`, `large_height`, `large_quality`) VALUES
(1, 0, '2f857612-ba83-f324-79a9-347684b7b1fe', 'Frontpage Slideshow', 'frontpage-slideshow', NOW(), NULL, NULL, NULL, NULL, 1, 0, '1.00', 0, 10, 1, 1, NULL, '', 'Frontpage Slideshow', '', '', 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:8:\"__null__\";i:3;s:13:\"display_items\";i:4;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:2:\"id\";s:19:\"items_sortdirection\";s:4:\"desc\";}', '', 1, 0, 256, 256, 90, 512, 512, 80, 1024, 1024, 70, 1920, 768, 60),
(2, 0, '7dcf22d7-584a-f684-655e-6f5dfdf6a67c', 'Testimonials', 'testimonials', NOW(), NULL, NULL, NULL, NULL, 1, 0, '1.00', 0, 10, 1, 1, NULL, '', 'Testimonials', '', '', 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', '', 1, 0, 128, 128, 90, 256, 256, 80, 384, 384, 70, 512, 512, 60);


INSERT INTO `gk_gallery_items` (`id`, `guid`, `category_id`, `title`, `virtual_filename`, `summary`, `description`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `created_by_id`, `modified_by_id`, `locked_by_id`, `permission_write`, `permission_read`, `meta_key`, `meta_description`, `pageview`, `status`, `featured`, `version`, `sort_order`, `options`, `tags`, `filename`, `parent_dir`, `url_media_file`, `size`, `crop_x`, `crop_y`, `crop_w`, `crop_h`, `crop_img_width`, `crop_img_height`, `exif_data`) VALUES
(1, 'f2f02f7a-997e-b164-3dcf-65abb6eb5e8e', 1, 'Hire Us!', 'slide_3', '<p>We provide commercial support and can help you integrate the CMS with other software. Our years of development experience and expertise are at your disposal. We can help fill in the gaps and provide assistance as needed, allowing you to rest easy and know that your website is being properly built with the highest standard.</p>', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', '', 0, 1, 0, '1.00', 3, 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', '', 'slide_16.jpg', '/1', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/gallery/1/slide_16.jpg', 386287, 0, 0, 0, 0, 0, 0, ''),
(2, '4a57a642-2352-2f74-458f-6a143ad3b588', 1, 'Easy to use', 'slide_2', '<p>As a platform, SCHLIX CMS is designer and developer friendly. Whether it\'s the theme stylesheet, view template or custom code, you can override virtually anything in your sub-site without modifying its core. SCHLIX CMS also integrates well with Bootstrap 3 &amp; 4 CSS framework (we will also add Zurb Foundation &amp; Bulma support in the future), reducing the time necessary for a designer to create a responsive website.</p>\r\n<p><a class=\"btn btn-lg btn-primary\" role=\"button\" href=\"https://www.schlix.com/forum/\" target=\"_blank\" rel=\"noopener noreferer\">Ask a question</a></p>', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', '', 0, 1, 0, '1.00', 2, 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', '', 'slide_1.jpg', '/1', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/gallery/1/slide_1.jpg', 233763, 0, 0, 0, 0, 0, 0, ''),
(3, '691f9cc9-72e4-db54-815d-dd556825f249', 1, 'Welcome to SCHLIX CMS', 'first_slide', '<p>SCHLIX CMS is a multi-site content management system that allows users to build websites and blogs with ease. It\'s open, extensible, scalable, and able to handle high load traffic. With its intuitive and easy to use interface, SCHLIX CMS will save your time and allow you to accomplish more with your site. Our e-commerce extension will be launched in 2020.</p>', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', '', 0, 1, 0, '1.00', 1, 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', '', 'slide_3.jpg', '/1', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/gallery/1/slide_3.jpg', 827234, 0, 0, 0, 0, 0, 0, ''),
(4, '14af6af3-4a42-a7d4-3d0b-da9fc21ad995', 2, 'Mary Gregory', 'mary-gregory', '<p>&ldquo;Neque aliquam vestibulum morbi blandit. In pellentesque massa placerat duis ultricies. In est ante in nibh mauris cursus. Mi proin sed libero enim sed. Orci phasellus egestas tellus rutrum tellus pellentesque..&rdquo;</p>', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'testimonial_4', 0, 1, 0, '1.00', 0, 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', '', 'testimonial_4.jpg', '/2', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/gallery/2/testimonial_4.jpg', 240454, 0, 0, 0, 0, 0, 0, ''),
(5, '3cce7c53-836c-f2b4-6dbe-01ca93e86b88', 2, 'Andy Liu', 'andy-liu', '<p>&ldquo;Tortor at auctor urna nunc id cursus metus. Sit amet risus nullam eget felis. Velit aliquet sagittis id consectetur purus ut faucibus pulvinar elementum. Cursus turpis massa tincidunt dui ut ornare lectus sit. Donec enim diam vulputate ut.&rdquo;</p>', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'testimonial_3', 0, 1, 0, '1.00', 0, 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', '', 'testimonial_3.jpg', '/2', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/gallery/2/testimonial_3.jpg', 255763, 0, 0, 0, 0, 0, 0, ''),
(6, 'd6bb7996-ee55-bc64-cded-5e868a06f054', 2, 'George Gryglewicz', 'george-gryglewicz', '<p>&ldquo;Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum..&rdquo;</p>', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'testimonial_1', 0, 1, 0, '1.00', 0, 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', '', 'testimonial_1.jpg', '/2', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/gallery/2/testimonial_1.jpg', 277677, 0, 0, 0, 0, 0, 0, ''),
(7, 'ab4e2471-05d8-fa84-7dd3-d9dc142058ee', 2, 'Anja Ivanovich', 'testimonial_2', '<p>&ldquo;Lorem ipsum dolor sit amet consectetur adipisicing elit. Consectetur unde reprehenderit aperiam quaerat fugiat repudiandae explicabo animi minima fuga beatae illum eligendi incidunt consequatur. Amet dolores excepturi earum unde iusto.&rdquo;</p>', '', NOW(), NULL, NULL, NULL, 1, 1, NULL, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'Anja Ivanovich', 0, 1, 0, '1.00', 0, 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', '', 'testimonial_2.jpg', '/2', 'https://static-demo.schlix.website/images/{$width}x{$height}/sample1/gallery/2/testimonial_2.jpg', 164121, 0, 0, 0, 0, 0, 0, '');
--
-- Dumping data for table `gk_media_header_items`
--

INSERT INTO `gk_media_header_items` (`id`, `app_class`, `guid`, `parent_dir`, `url_file_media`, `date_created`, `date_modified`, `created_by_id`, `modified_by_id`) VALUES
(1, 'app\\html', '5e28070b-6e32-1d34-293f-92e5913b8378', '', 'https://static-demo.schlix.website/images/static/sample1/header/header_34.jpg', NOW(), NULL, 1, 1),
(2, 'app\\html', '00000000-0000-0000-0000-000000000000', '', 'https://static-demo.schlix.website/images/static/sample1/header/header-image-3.png', NOW(), NULL, 1, 1),
(3, 'app\\html', 'b5be0af7-abc9-c304-e5db-e70131544e51', '', 'https://static-demo.schlix.website/images/static/sample1/header/header_img_2.jpg', NOW(), NULL, 1, 1),
(4, 'app\\html', '2ce3ccff-4933-5dc4-158c-13f32fe0798a', '', 'https://static-demo.schlix.website/images/static/sample1/header/header_img_3.jpg', NOW(), NULL, 1, 1),
(5, 'app\\html', '75e848ca-57fd-c3a4-e9e5-2fe4a42c5fe1', '', 'https://static-demo.schlix.website/images/static/sample1/header/header_img_4.jpg', NOW(), NULL, 1, 0),
(6, 'app\\html', '275449f0-89f3-af44-b9fb-2bf3a0dc100b', '', 'https://static-demo.schlix.website/images/static/sample1/header/header_41.jpg', NOW(), NULL, 1, 0),
(7, 'app\\contacts', '00000000-0000-0000-0000-000000000000', '', 'https://static-demo.schlix.website/images/static/sample1/header/header_img_10.jpg', NOW(), NULL, 1, 1),
(8, 'app\\blog', '00000000-0000-0000-0000-000000000000', '', 'https://static-demo.schlix.website/images/static/sample1/header/header_blog_1.jpg', NOW(), NULL, 1, 1);


INSERT INTO `gk_config` (`section`, `key`, `value`, `date_modified`, `modified_by_id`) VALUES
('applications', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:1:\"1\";}', NOW(), 0),
('blog', 'array_default_category_meta_options', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', NOW(), 0),
('blog', 'array_default_item_meta_options', 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', NOW(), 0),
('blog', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:0:\"\";}', NOW(), 0),
('blog', 'array_mainpage_meta_options', 'a:10:{i:0;s:32:\"display_item_summary_intro_image\";i:1;s:40:\"display_item_summary_intro_image_caption\";i:2;s:39:\"display_item_summary_secondary_headline\";i:3;s:20:\"display_item_summary\";i:4;s:23:\"display_item_created_by\";i:5;s:25:\"display_item_date_created\";i:6;s:23:\"display_item_view_count\";i:7;s:8:\"__null__\";s:12:\"items_sortby\";s:12:\"date_created\";s:18:\"image_display_size\";s:12:\"image_medium\";}', NOW(), 0),
('blog', 'bool_convert_external_images', '0', NOW(), 0),
('blog', 'bool_disable_app', '0', NOW(), 0),
('blog', 'bool_enable_pageview_stats', '1', NOW(), 0),
('blog', 'int_category_items_per_page', '10', NOW(), 0),
('blog', 'int_large_height', '1024', NOW(), 0),
('blog', 'int_large_quality', '60', NOW(), 0),
('blog', 'int_large_width', '1500', NOW(), 0),
('blog', 'int_mainpage_items_per_page', '12', NOW(), 0),
('blog', 'int_max_entries_in_rss', '20', NOW(), 0),
('blog', 'int_max_posts_per_page', '10', NOW(), 0),
('blog', 'int_medium_height', '600', NOW(), 0),
('blog', 'int_medium_quality', '70', NOW(), 0),
('blog', 'int_medium_width', '800', NOW(), 0),
('blog', 'int_small_height', '384', NOW(), 0),
('blog', 'int_small_quality', '80', NOW(), 0),
('blog', 'int_small_width', '384', NOW(), 0),
('blog', 'int_thumbnail_height', '256', NOW(), 0),
('blog', 'int_thumbnail_quality', '90', NOW(), 0),
('blog', 'int_thumbnail_width', '256', NOW(), 0),
('blog', 'str_alias', 'blog', NOW(), 0),
('blog', 'str_app_description', 'Blog', NOW(), 0),
('blog', 'str_author_email', '', NOW(), 0),
('blog', 'str_author_name', '', NOW(), 0),
('blog', 'str_cmh_media_path', '', NOW(), 0),
('blog', 'str_cmh_media_selection', 'upload', NOW(), 0),
('blog', 'str_cmh_media_url', '', NOW(), 0),
('blog', 'str_description', '', NOW(), 0),
('blog', 'str_mainpage_item_sortby', 'date_created', NOW(), 0),
('blog', 'str_mainpage_item_sortdirection', 'desc', NOW(), 0),
('blog', 'str_mainpage_text', '<div class=\"alert alert-info alert-dismissable\">\r\n<p>Welcome to this blog. This text can be changed from the backend administration section. Click Blog &raquo; Configure &raquo; Default main page options. To delete all articles and start from scratch, simply click the checkbox (select all), and click the delete button.</p>\r\n</div>', NOW(), 0),
('blog', 'str_mainpage_title', 'Blog Title', NOW(), 0),
('blog', 'str_meta_description', '', NOW(), 0),
('blog', 'str_meta_keywords', '', NOW(), 0),
('blog', 'str_rss_title', '', NOW(), 0),
('contacts', 'array_default_category_meta_options', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', NOW(), 0),
('contacts', 'array_default_item_meta_options', 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', NOW(), 0),
('contacts', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:0:\"\";}', NOW(), 0),
('contacts', 'array_mainpage_meta_options', 'a:9:{i:0;s:24:\"display_child_categories\";i:1;s:30:\"display_child_category_summary\";i:2;s:8:\"__null__\";i:3;s:13:\"display_items\";i:4;s:23:\"display_item_created_by\";i:5;s:25:\"display_item_date_created\";i:6;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', NOW(), 0),
('contacts', 'bool_disable_contact_form', '0', NOW(), 0),
('contacts', 'bool_enable_captcha', '0', NOW(), 0),
('contacts', 'bool_no_auto_render_contact_form', '1', NOW(), 0),
('contacts', 'int_category_items_per_page', '10', NOW(), 0),
('contacts', 'int_mainpage_items_per_page', '10', NOW(), 0),
('contacts', 'int_seconds_before_next_contact', '0', NOW(), 0),
('contacts', 'str_alias', 'contacts', NOW(), 0),
('contacts', 'str_app_description', 'Contact Us', NOW(), 0),
('contacts', 'str_cmh_media_path', '', NOW(), 0),
('contacts', 'str_cmh_media_selection', 'upload', NOW(), 0),
('contacts', 'str_cmh_media_url', '', NOW(), 0),
('contacts', 'str_mainpage_text', 'You can edit the contact main page text by clicking the Configuration button and modify it under the Default main page options tab.', NOW(), 0),
('contacts', 'str_mainpage_title', 'Contact Us', NOW(), 0),
('contacts', 'str_meta_description', '', NOW(), 0),
('contacts', 'str_meta_keywords', '', NOW(), 0),
('core.editormanager', 'int_default_full_privilege_wysiwyg_profile_id', '2', NOW(), 0),
('core.editormanager', 'int_default_limited_privilege_wysiwyg_profile_id', '4', NOW(), 0),
('core.mediaheader', 'int_height', '800', NOW(), 0),
('core.mediaheader', 'int_quality', '70', NOW(), 0),
('core.mediaheader', 'int_width', '1920', NOW(), 0),
('cronscheduler', 'array_groups_allowed_for_backend_access', 'a:0:{}', NOW(), 0),
('cronscheduler', 'bool_use_manual_scheduler', '', NOW(), 0),
('cronscheduler', 'str_alias', 'cronscheduler', NOW(), 0),
('cronscheduler', 'str_manual_scheduler_restrict_ip_address', '', NOW(), 0),
('cronscheduler', 'str_title', '', NOW(), 0),
('gallery', 'array_default_category_meta_options', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', NOW(), 0),
('gallery', 'array_default_item_meta_options', 'a:6:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";i:5;s:8:\"__null__\";}', NOW(), 0),
('gallery', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:0:\"\";}', NOW(), 0);
INSERT INTO `gk_config` (`section`, `key`, `value`, `date_modified`, `modified_by_id`) VALUES
('gallery', 'array_mainpage_meta_options', 'a:8:{i:0;s:24:\"display_child_categories\";i:1;s:8:\"__null__\";i:2;s:13:\"display_items\";i:3;s:23:\"display_item_created_by\";i:4;s:25:\"display_item_date_created\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', NOW(), 0),
('gallery', 'bool_disable_app', '0', NOW(), 0),
('gallery', 'bool_use_watermark_large', '0', NOW(), 0),
('gallery', 'bool_use_watermark_medium', '0', NOW(), 0),
('gallery', 'bool_use_watermark_small', '0', NOW(), 0),
('gallery', 'bool_use_watermark_thumbnail', '0', NOW(), 0),
('gallery', 'int_category_items_per_page', '100', NOW(), 0),
('gallery', 'int_large_height', '1920', NOW(), 0),
('gallery', 'int_large_quality', '60', NOW(), 0),
('gallery', 'int_large_width', '1920', NOW(), 0),
('gallery', 'int_large_wm_margin_x', '0', NOW(), 0),
('gallery', 'int_large_wm_margin_y', '0', NOW(), 0),
('gallery', 'int_mainpage_items_per_page', '10', NOW(), 0),
('gallery', 'int_medium_height', '1024', NOW(), 0),
('gallery', 'int_medium_quality', '70', NOW(), 0),
('gallery', 'int_medium_width', '1024', NOW(), 0),
('gallery', 'int_medium_wm_margin_x', '0', NOW(), 0),
('gallery', 'int_medium_wm_margin_y', '0', NOW(), 0),
('gallery', 'int_small_height', '512', NOW(), 0),
('gallery', 'int_small_quality', '80', NOW(), 0),
('gallery', 'int_small_width', '512', NOW(), 0),
('gallery', 'int_small_wm_margin_x', '0', NOW(), 0),
('gallery', 'int_small_wm_margin_y', '0', NOW(), 0),
('gallery', 'int_thumbnail_height', '256', NOW(), 0),
('gallery', 'int_thumbnail_quality', '90', NOW(), 0),
('gallery', 'int_thumbnail_width', '256', NOW(), 0),
('gallery', 'int_thumbnail_wm_margin_x', '0', NOW(), 0),
('gallery', 'int_thumbnail_wm_margin_y', '0', NOW(), 0),
('gallery', 'str_alias', 'gallery', NOW(), 0),
('gallery', 'str_app_description', 'Gallery', NOW(), 0),
('gallery', 'str_cmh_media_path', '', NOW(), 0),
('gallery', 'str_cmh_media_selection', '', NOW(), 0),
('gallery', 'str_cmh_media_url', '', NOW(), 0),
('gallery', 'str_mainpage_title', 'Gallery', NOW(), 0),
('gallery', 'str_meta_description', '', NOW(), 0),
('gallery', 'str_meta_keywords', '', NOW(), 0),
('gallery', 'str_watermark_image_large', '0', NOW(), 0),
('gallery', 'str_watermark_image_medium', '0', NOW(), 0),
('gallery', 'str_watermark_image_small', '0', NOW(), 0),
('gallery', 'str_watermark_image_thumbnail', '0', NOW(), 0),
('gallery', 'str_watermark_pos_large', '0', NOW(), 0),
('gallery', 'str_watermark_pos_medium', '0', NOW(), 0),
('gallery', 'str_watermark_pos_small', '0', NOW(), 0),
('gallery', 'str_watermark_pos_thumbnail', '0', NOW(), 0),
('html', 'array_default_category_meta_options', 'a:8:{i:0;s:17:\"display_pagetitle\";i:1;s:8:\"__null__\";i:2;s:24:\"display_child_categories\";i:3;s:8:\"__null__\";i:4;s:13:\"display_items\";i:5;s:8:\"__null__\";s:23:\"child_categories_sortby\";s:12:\"date_created\";s:12:\"items_sortby\";s:12:\"date_created\";}', NOW(), 0),
('html', 'array_default_item_meta_options', 'a:3:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:8:\"__null__\";}', NOW(), 0),
('html', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:0:\"\";}', NOW(), 0),
('html', 'bool_convert_external_images', '0', NOW(), 0),
('html', 'bool_disable_app', '0', NOW(), 0),
('html', 'bool_enable_pageview_stats', '1', NOW(), 0),
('html', 'int_category_items_per_page', '10', NOW(), 0),
('html', 'str_alias', 'html', NOW(), 0),
('html', 'str_app_description', 'Web Pages', NOW(), 0),
('html', 'str_cmh_media_path', '', NOW(), 0),
('html', 'str_cmh_media_selection', 'upload', NOW(), 0),
('html', 'str_cmh_media_url', '', NOW(), 0),
('html', 'str_meta_description', 'test', NOW(), 0),
('html', 'str_meta_keywords', 'test', NOW(), 0),
('menus', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:1:\"1\";}', NOW(), 0),
('menus', 'int_menu_html_element', '0', NOW(), 0),
('menus', 'int_menu_human_readable_css', '1', NOW(), 0),
('personaldatarequest', 'bool_disable_app', '1', NOW(), 0),
('search', 'array_enabled_apps', 'a:4:{i:0;s:8:\"contacts\";i:1;s:7:\"gallery\";i:2;s:4:\"blog\";i:3;s:4:\"html\";}', NOW(), 0),
('search', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:0:\"\";}', NOW(), 0),
('search', 'str_alias', 'search', NOW(), 0),
('search', 'str_app_description', 'Search', NOW(), 0),
('search', 'str_meta_description', '', NOW(), 0),
('search', 'str_meta_keywords', '', NOW(), 0),
('simplesitemap', 'array_enabled_apps', 'a:4:{i:0;s:8:\"contacts\";i:1;s:7:\"gallery\";i:2;s:4:\"blog\";i:3;s:4:\"html\";}', NOW(), 0),
('simplesitemap', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:0:\"\";}', NOW(), 0),
('simplesitemap', 'str_alias', 'simplesitemap', NOW(), 0),
('simplesitemap', 'str_app_description', 'simplesitemap', NOW(), 0),
('system', 'str_frontend_skin', 'bootstrap4', NOW(), 0),
('system', 'str_main_app', 'html', NOW(), 0),
('system', 'str_site_name', 'Company Profile', NOW(), 0),
('users', 'array_groups_allowed_for_backend_access', 'a:1:{i:0;s:0:\"\";}', NOW(), 0),
('users', 'bool_allow_login_by_email', '0', NOW(), 0),
('users', 'bool_allow_public_profile_view', '1', NOW(), 0),
('users', 'bool_disable_frontend_login', '0', NOW(), 0),
('users', 'bool_enable_captcha_forgot_password', '0', NOW(), 0),
('users', 'bool_enable_captcha_user_activation', '0', NOW(), 0),
('users', 'bool_enable_captcha_user_login', '0', NOW(), 0),
('users', 'bool_enable_captcha_user_registration', '0', NOW(), 0),
('users', 'bool_enable_registration', '0', NOW(), 0),
('users', 'bool_force_ssl_admin_authentication', '0', NOW(), 0),
('users', 'bool_force_ssl_authentication', '0', NOW(), 0),
('users', 'bool_require_dob', '0', NOW(), 0),
('users', 'bool_require_gender', '0', NOW(), 0),
('users', 'bool_requires_activation_by_email', '1', NOW(), 0),
('users', 'int_default_newuser_group_id', '2', NOW(), 0),
('users', 'int_hours_forgot_password', '48', NOW(), 0);
INSERT INTO `gk_config` (`section`, `key`, `value`, `date_modified`, `modified_by_id`) VALUES
('users', 'int_large_height', '256', NOW(), 0),
('users', 'int_large_width', '256', NOW(), 0),
('users', 'int_medium_height', '128', NOW(), 0),
('users', 'int_medium_width', '128', NOW(), 0),
('users', 'int_minimum_age_registration', '0', NOW(), 0),
('users', 'int_number_of_login_retry_before_captcha', '20', NOW(), 0),
('users', 'int_small_height', '32', NOW(), 0),
('users', 'int_small_width', '32', NOW(), 0),
('users', 'str_alias', 'users', NOW(), 0),
('users', 'str_app_description', 'Users', NOW(), 0),
('users', 'str_password_change_text', '<p>Please consider this criteria when changing your password:</p>\r\n<ul>\r\n<li>Minimum character length = 7</li>\r\n<li>At least 1 numerical digit</li>\r\n<li>Special characters can be used, but must be one of the following:<br />! @ # $ % ^ &amp; * ( ) - _ = + \\ | [ ] { } ; : / ? . &gt; &lt;</li>\r\n</ul>', NOW(), 0),
('users', 'str_registration_disabled_text', '<p>Registration has been disabled for this website.</p>', NOW(), 0);

