<?php
namespace Block;
/**
 * Gallery Slideshow - Main Class
 * 
 * Gallery Slideshow
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package galleryslideshow
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
class GallerySlideshow extends \SCHLIX\cmsBlock
{
    /**
     * App
     * @var \App\BootstrapSlideshow
     */
    protected $app;

    /**
     * Run
     */
    public function Run() {
        $slideshow_category_id = (int) $this->getConfig('int_category_id'); // which slideshow category
        //	$slideshow_template = $this->getConfig('str_template'); // which slideshow category
        $this->app = new \App\Gallery();
        $items = $this->app->getAllItems('*', " status = 1 AND category_id = {$slideshow_category_id}", 0, 0, 'sort_order', 'ASC', true);
        $height = $this->getConfig('int_height');
        $this->loadTemplateFile('view.slideshow', ['items' => $items, 'height' => $height]);
    }
}
