<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
    <x-ui:alert type="danger">
        <h4><i class="far fa-times-circle"></i> <?= ___('Error') ?></h4>
        <?php if (___c($errors) > 0): ?>        
            <ul class="list-unstyled">
                <?php foreach ($errors as $error): ?>

                    <li><i class="fas fa-times"></i>&nbsp;<?= ___h($error) ?></li>
                <?php endforeach ?>
            </ul>
        <?php else: ?>
            <?= ___('Unspecified error') ?>
        <?php endif ?>

    </x-ui:alert>
