<?php
if (!defined('SCHLIX_VERSION')) die('No Access'); // this protection line must exist in all template files
/**
 * beritanews - theme for SCHLIX CMS
 *
 * You can modify this theme as the license is MIT, not SCHLIX Shared Source
 *  
 * @copyright 2020 SCHLIX Web Inc
 * @license MIT
 * @version 1.0
 * @link    https://www.schlix.com
 */

global $HTMLHeader; ?>

<footer class="page-footer">
  <div class="container">

    <div class="row">
      <?php if (SCHLIX\cmsPageOutput::BlockCountInCategory('footer1') > 0): ?>
        <div class="col-xs-6 col-sm-4 col-md-3">
            
            
        <div class="footer-logo">
          <a href="<?= SCHLIX_SITE_HTTPBASE.'/' ?> ">
            <img src="<?= CURRENT_THEME_URL_PATH; ?>/images/logo.png" alt="News Berita">
          </a>
        </div>
            
          <div class="footer-menu">
            <?= \SCHLIX\cmsPageOutput::BlockCategory('footer1') ?>
          </div>
        </div>
      <?php endif ?>
      <?php if (SCHLIX\cmsPageOutput::BlockCountInCategory('footer2') > 0): ?>
        <div class="col-xs-6 col-sm-4 col-md-3">
          <div class="footer-menu">
            <?= \SCHLIX\cmsPageOutput::BlockCategory('footer2') ?>
          </div>
        </div>
      <?php endif ?>
      <?php if (SCHLIX\cmsPageOutput::BlockCountInCategory('footer3') > 0): ?>
        <div class="col-xs-6 col-sm-4 col-md-3">
          <div class="footer-menu">
            <?= \SCHLIX\cmsPageOutput::BlockCategory('footer3') ?>
          </div>
        </div>
      <?php endif ?>
      <?php if (SCHLIX\cmsPageOutput::BlockCountInCategory('footer4') > 0): ?>
        <div class="col-xs-6 col-sm-4 col-md-3">
          <div class="footer-menu">
            <?= \SCHLIX\cmsPageOutput::BlockCategory('footer4') ?>
          </div>
        </div>
      <?php endif ?>
    </div>
      <!-- eh -->
    <div class="footer-copyright">
        <div class="row">
            <div class="col-md-8">
                <?= \SCHLIX\cmsPageOutput::BlockCategory('menu_bottom') ?>
            </div>
            <div class="col-md-4">
                <?= \SCHLIX\cmsPageOutput::BlockCategory('menu_social') ?>
            </div>            
        </div>
        <div class="row">
            <div class="col-md-8">
                <p class="mt-3">
        &copy; <?= date('Y') ?> <a target="_blank" href="<?= SCHLIX_SITE_URL ?>" title="Demo theme">My Company Name</a>. All Rights Reserved.
      </p>
            </div>
            <div class="col-md-4">
                
                <?= \SCHLIX\cmsPageOutput::BlockCategory('footer_search') ?>
            </div>            
        </div>
      
      
    </div>
  </div>
</footer>

<?= $HTMLHeader->JAVASCRIPT_JQUERY3(true); ?>
<script src="<?= SCHLIX_SYSTEM_URL_PATH; ?>/skins/bootstrap4/bootstrap.min.js"></script>
<script src="<?= SCHLIX_SYSTEM_URL_PATH; ?>/skins/bootstrap4/bootstrap-submenu.js"></script>
<script src="<?= CURRENT_THEME_URL_PATH; ?>/js/main.js"></script>
<?php /* Note: if you must include the Javascript at the top, use \SCHLIX\cmsPageOutput::HTMLHeader(); in header.inc.php and remove the \SCHLIX\cmsPageOutput::HTMLFooterScripts(); in footer.inc.php, and move all the contents of footer.inc.php to header.inc.php */ ?>
<?= \SCHLIX\cmsPageOutput::HTMLFooterScripts(); ?>
<!-- end javascript -->